function run_arx()
% Runs the model

CISM_DX_GLOBALS; % Load global variables

fprintf('Program run_arx.m is running arx models ...\n');

load create_arx.mat % Load the model
load pre_arx.mat    % Load data
t = Ap; % t = target
x = V;  % x = exogenous input
clear Ap V

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Evaluate model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for Ts = 0:6

  [T1,Xin1] = time_delay2(t,t,Tx,Ts); % Time delay the target vector
  [T2,Xin2] = time_delay2(t,x,Tc,Ts); % Time delay the driver variable

  % Align the first timestep 
  if (Tc-Tx>0)
    Xin1     = Xin1(Tc-Tx+1:end,:);
    T        = T1(Tc-Tx+1:end,:);
    % This should be zero: T-T2 
  end
  if (Tc-Tx<=0)
    Xin2     = Xin2(Tx-Tc+1:end,:);
    T        = T2(Tx-Tc+1:end,:);
    % This should be zero: T-T1
  end

  Xin = [Xin1 Xin2];
  I   = find(max([Xin T],[],2) < 9999); % Remove any rows with one or
                                        % more flagged values.
  T   = T(I);
  Xin = Xin(I,:);
  LIN = basic_linear(Xin,T);
  W   = LIN.Weights; % W is "the model".
  Tpr = basic_linear(Xin,W,'predict');
  
  Tc = T;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

save(sprintf('T.mat Tc',Ts));
fprintf('... done running arx models.\n');