% Write parameters of an autoregressive model to a file for arx to read 
clear
cwd = pwd;cd('../../../mfiles');startup;cd(cwd);

Tac       = 0;
Tc        = 20;
Tx        = 5;
Ts        = 0;
Nin       = 1;
Nx        = 1;
Verbosity = 0;



if (0)
CISM_DX_DATA_DIR = ...
    [CISM_DX_DATA_ROOT,'measurements/uniform_time_series/matfiles/'];

FNAME    = [CISM_DX_DATA_DIR,'OMNIWeb_B_V_Np_1_day_1963_2002.mat'];
           load(FNAME);

FNAME    = [CISM_DX_DATA_DIR,'SEC_Ap_1_day_1963_2002.mat'];
           load(FNAME);
end

Names = {'Vsw from OMNIWeb','Ap index (USAF,v1)'};

x        = uniform_time_series_slice(Names,[],[],'day');
t        = x(:,2);
x        = x(:,1);

for Ts=0:6

[T,Xin1] = time_delay2(t,t,Tx,Ts);
[T,Xin2] = time_delay2(t,x,Tc,Ts);
Xin      = [Xin1 Xin2];
I        = find(max([Xin T],[],2) < 9999);
T        = T(I);
Xin      = Xin(I,:);
LIN      = basic_linear(Xin,T)
P        = LIN.Weights;

if (0)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make first element the offset term as required by arx.c
P        = [P(end);P(1:end-1)];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Write model parameter file required by arx.c
fid = fopen(sprintf('P%d.dat',Ts),'w');
fprintf(fid,'%f\n',P');
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Write Po.dat file
TFILE = sprintf('T%d.dat    #\n',Ts);
PFILE = sprintf('P%d.dat    #\n',Ts);
fid = fopen(sprintf('P%do.dat',Ts),'w');
fprintf(fid,TFILE);
fprintf(fid,'X.dat   # The name of the data to read in\n');
fprintf(fid,PFILE);
fprintf(fid,'%d      # Tac\n',Tac);
fprintf(fid,'%d      # Tc\n',Tc);
fprintf(fid,'%d      # T\n',Tx);
fprintf(fid,'%d      # Ts\n',Ts);
fprintf(fid,'%d      # Nin\n',Nin);
fprintf(fid,'%d      # Nx\n',Nx);
fprintf(fid,'%d      # CISM_DX_FLAG\n',CISM_DX_FLAG);
fprintf(fid,'%d      # The level of verbosity',Verbosity);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end
end