function plot_output1()
%PLOT_OUTPUT Plots model output
  
% RSW 04/15/2004.  
% To do: Code needs to be simplified.
clear 
 
fprintf('Program plot_output1.m is plotting data to eps file ...\n');fflush(stdout);  
  
CISM_DX_GLOBALS;  % Load the global parameter data

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Set some local variables
NDAYS       = 40;        % Number of days to plot
LEAD_TIME   = 7;         % Max lead time
threat(1)   =  20;       %     Low watch level on plot
threat(2)   =  30;       %  Medium watch level on plot
threat(3)   =  50;       %   heigh watch level
threat(4)   = 100;       % highest watch level
MINY        = 0;         % Min y-value on plot
MINX        = 0;         % Min x-value on plot
MAXY        = 35;        % Max y-value on plot
YSTEP       = 20;        % Horizontal grid spacing in y-direction
Nright      = 3;         % Number of days to the right to leave empty.
MAXX        = NDAYS+LEAD_TIME+Nright;
CISM_DX_FLAG        = 99999;     % Global flag value
NAME        = 'Ap';      % Name of quantity plotted
% Name of eps file to write.
EPS_NAME    = sprintf('./web_page/%s_current1.eps',NAME);
% Text to put on plot
NOTE_HIGHEST= 'Highest watch level';
NOTE_HIGH   = 'High watch level';
NOTE_MEDIUM = 'Moderate watch level';
NOTE_LOW    = 'Low watch level';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get all predictions
T_full       = load('./Persistence/T_full.dat');
T_pers       = load('./Persistence/T_combined.dat');
T_auto       = load('./Autoregressive/T_combined.dat');
T_arx        = load('./ARX/T_combined.dat');
L            = size(T_full,1);   % Number of rows
Xf           = T_full;           % f = actual ('full' means with time stamp)
Xa           = T_auto;           % a = autoregressive
Xp           = T_pers;           % p = persistence
Xx           = T_arx;            % x = ARX
Xf           = unique(Xf,'rows');% Remove duplicate rows
Xa           = unique(Xa,'rows');% Remove duplicate rows
Xp           = unique(Xp,'rows');% Remove duplicate rows
Xx           = unique(Xx,'rows');% Remove duplicate rows
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
DAY_F         = datenum(Xa(end,1),Xa(end,2),Xa(end,3))-LEAD_TIME-1;
DAY_I         = DAY_F-NDAYS;
DAYS_AVAIL_Xf = datenum(Xf(:,1),Xf(:,2),Xf(:,3)); % Available days of forecast
DAYS_AVAIL_Xp = datenum(Xp(:,1),Xp(:,2),Xp(:,3));
DAYS_AVAIL_Xa = datenum(Xa(:,1),Xa(:,2),Xa(:,3)); 
DAYS_AVAIL_Xx = datenum(Xx(:,1),Xx(:,2),Xx(:,3)); 
DAYS_PLOT     = [DAY_I+1:DAY_F+LEAD_TIME+1];      % What days to plot
DAYS_LABEL    = [floor(now):-7:DAY_I];            % Label every seven days
DAYS_LABEL    = [DAYS_LABEL,[floor(now):7:DAY_F+LEAD_TIME+1]];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Looks for days to plot that forecast data is available.
for i = 1:length(DAYS_PLOT)
  I = find(DAYS_AVAIL_Xa == DAYS_PLOT(i));
    if (~isempty(I)) 
      Va(i,1:LEAD_TIME) = Xa(I,7:7+LEAD_TIME-1);  
      Date(i,:)         = Xa(I(end),1:6);
    else 
      Va(i,1:LEAD_TIME) = CISM_DX_FLAG;
      temp              = datestr(DAYS_PLOT(i),29);
      Date(i,:)         = [str2num(temp(1:4)),str2num(temp(5:6)),...
		           str2num(temp(7:8)),0,1,1];
    end
  clear I;
  I = find(DAYS_AVAIL_Xp == DAYS_PLOT(i));
    if (~isempty(I)) 
      Vp(i,1:LEAD_TIME) = Xp(I,7:7+LEAD_TIME-1);  
      Date(i,:)         = Xp(I(end),1:6);
    else 
      Vp(i,1:LEAD_TIME) = CISM_DX_FLAG;
      temp              = datestr(DAYS_PLOT(i),29);
      Date(i,:)         = [str2num(temp(1:4)),str2num(temp(5:6)),...
		           str2num(temp(7:8)),0,1,1];
    end
  clear I;
  I = find(DAYS_AVAIL_Xx == DAYS_PLOT(i));
    if (~isempty(I)) 
      Vx(i,1:LEAD_TIME) = Xx(I,7:7+LEAD_TIME-1);  
      Date(i,:)         = Xx(I(end),1:6);
    else 
      Vx(i,1:LEAD_TIME) = CISM_DX_FLAG;
      temp              = datestr(DAYS_PLOT(i),29);
      Date(i,:)         = [str2num(temp(1:4)),str2num(temp(5:6)),...
		           str2num(temp(7:8)),0,1,1];
    end
  clear I;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Looks for days to plot that actual data is available.
for i = 1:length(DAYS_PLOT)
  I = find(DAYS_AVAIL_Xf == DAYS_PLOT(i));
    if (~isempty(I))
      Vf(i,1)           = Xf(I,7);  
      Date(i,:)         = Xf(I,1:6);
    else
      Vf(i,1)           = CISM_DX_FLAG;  
      temp              = datestr(DAYS_PLOT(i),29);
      Date(i,:)         = [str2num(temp(1:4)),str2num(temp(5:6)),...
		           str2num(temp(7:8)),0,1,1];
    end
  clear I;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Form labels for x-axis
for i = 1:length(DAYS_PLOT)
  I = find(DAYS_PLOT(i) == DAYS_LABEL);
  if (isempty(I))
      XLabels(i,:) = '        ';  
  else
      XLabels(i,:) = datestr(datenum(Date(i,1),Date(i,2),Date(i,3)),2);
    if (DAYS_PLOT(i) == DAYS_LABEL(end))
      XLabels(i,:) = datestr(datenum(Date(i,1),Date(i,2),Date(i,3)),2);
    end
  end
  clear I;
end
XLabels = [XLabels ; repmat('        ',Nright,1)];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Average relative variance between predicted and actual index
T_full = [T_full,repmat(T_full(:,7),1,6)];
TU = time_union({T_full,T_pers,T_auto,T_arx},CISM_DX_FLAG,'day');
T_arx = TU{4}; T_pers = TU{2}; T_full = TU{1}; T_auto = TU{3};
arv_x = arv(T_auto,T_full,CISM_DX_FLAG);
arv_p = arv(T_pers,T_full,CISM_DX_FLAG);
arv_a = arv(T_auto,T_full,CISM_DX_FLAG);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Create eps plots using epsTK
eglobpar2;        % get access to global parameters
einit2;
eopen2(EPS_NAME); % open eps-file and write eps-head

ePlotAreaHeight = 155;  % for YMAX = 35
ePlotAreaWidth  = 180;
ePlotAreaPos    = [40 40];
                                                                                        
eWinHeight      = 140;
ePageHeight     = 160;  % mm Letter=279.4 A3=420 A4=297 A5=210
eWinWidth       = 240;
ePageWidth      = 260;  % mm Letter=215.9 A3=297 A4=210 A5=148

% Set up the Axes
eAxes2([0 1 MAXX],XLabels,[MINY YSTEP MAXY],XLabels);

% Plot horizontal grid lines at watch levels
xh = [MINX,MAXX]; yh = [threat(4) threat(4)];
eplot2(xh,yh,'',0,[0.5 0 0])
xh = [MINX,MAXX]; yh = [threat(3) threat(3)];
eplot2(xh,yh,'',0,[1.0 0 0])
xh = [MINX,MAXX]; yh = [threat(2) threat(2)];
eplot2(xh,yh,'',0,[0.8 0.8 0])
xh = [MINX,MAXX]; yh = [threat(1) threat(1)];
eplot2(xh,yh,'',0,[0.8 0 0])

L = size(Vf,1);

% Plot 27-day gray strip 
xi = 0.5+L-LEAD_TIME-1-27;
xf = 0.5+L-LEAD_TIME-1;
xb = [xi xi xf xf];
yb = [-3 threat(1)-3 threat(1)-3 -3];
eplot2(xb,yb,'27 days of most recent solar rotation',-1,[0.7 0.7 0.7])
%eplot2(xb,yb,'',-1,[0.7 0.7 0.7])

% Plot right bounding line
eplot2([MAXX MAXX],[MINY MAXY],'',0,[0 0 0]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot blue bars of actual measurements
I         = find(abs(Vf)>=0.99*CISM_DX_FLAG); % Find flagged values
Vf(I)     = -1;                       % Put off scale
[xb yb]   = ebar2(Vf(1:L),1.0,1,1,0.5+[0:L-1]); 
eplot2(xb,yb,sprintf('Measured %s',NAME),0,[0 0 1])
clear I;

% Plot black ARX prediction bars
I         = find(abs(Vx)>=CISM_DX_FLAG*0.99);
Vx(I)     = -1;
[xb yb]   = ebar2(Vx(1:L),0.7,1,1,0.5+[0:L-1]);  
eplot2(xb,yb,sprintf('Predicted ARX %s',NAME),0,[0 0 0])
clear I;
for i = 1:LEAD_TIME
 I        = [L-LEAD_TIME+i-1];
 if (abs(Vx(I,i))>CISM_DX_FLAG*0.99)
         Vx(I,i)= -1;
 end
 [xb yb]   = ebar2(Vx(I,i),0.8,1,1,-0.5+I); 
 eplot2(xb,yb,'',-1,[0 0 0])
 xh(:,i) = I-0.5; yh(:,i) = Vx(I,i)+arv_x(i);
end
 eplot2(xh,yh,'',0,[0 0 0])

% Plot green autoregressive prediction bars
I         = find(abs(Va)>=CISM_DX_FLAG*0.99);
Va(I)     = -1;
[xb yb]   = ebar2(Va(1:L),0.4,1,1,0.5+[0:L-1]); 
eplot2(xb,yb,sprintf('Predicted AR %s',NAME),0,[0 0.8 0])
clear I;
for i = 1:LEAD_TIME
 I        = [L-LEAD_TIME+i-1];
 if (abs(Va(I,i))>CISM_DX_FLAG*0.99)
         Va(I,i)= -1;
 end
 [xb yb]   = ebar2(Va(I,i),0.5,1,1,-0.5+I); 
 eplot2(xb,yb,'',-1,[0 0.8 0])
 xh(:,i) = I-0.5; yh(:,i) = Va(I,i)+arv_a(i);
end
 eplot2(xh,yh,'',0,[0 0.8 0])

% Plot red persistence prediction bars
I         = find(abs(Vp)>=CISM_DX_FLAG*0.99);
Vp(I)     = -1;
[xb yb]   = ebar2(Vp(1:L),0.2,1,1,0.5+[0:L-1]); 
eplot2(xb,yb,sprintf('Persistence %s',NAME),0,[0.8 0 0])
clear I;
for i = 1:LEAD_TIME
 I        = [L-LEAD_TIME+i-1];
 if (abs(Vp(I,i))>CISM_DX_FLAG*0.99)
         Vp(I,i)= -1;
 end
 [xb yb]   = ebar2(Vp(I,i),0.3,1,1,-0.5+I); 
 eplot2(xb,yb,'',-1,[0.8 0 0])
 xh(:,i) = I-0.5; yh(:,i) = Vp(I,i)+arv_p(i);
end
 eplot2(xh,yh,'',0,[0.8 0 0])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

eplot2; % Close the current plot

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Compute probabilities
if (0)
%Tx = L-LEAD_TIME; FLR = 0.9*Vx(Tx,1); CEIL = 1.1*Vx(Tx,1);
%I1 = find((threat(1)<Vf & abs(Vf)<CISM_DX_FLAG) & (FLR < Vx(:,1) & Vx(:,1) < CEIL));
%I2 = find((threat(2)<Vf & abs(Vf)<CISM_DX_FLAG) & (FLR < Vx(:,1) & Vx(:,1) < CEIL));

%I1 = find((FLR < Vx(:,1) & Vx(:,1) < CEIL))
%fprintf('  til here 1: %d %d\n',FLR,CEIL);
%I2 = find(threat(2)<Vf & abs(Vf)<CISM_DX_FLAG & FLR < Vx(:,1) & Vx(:,1) < CEIL)
%********|*********|*********|*********|*********|*********|*********|
%fprintf('  til here 2: \n');
%L  = find(abs(Vf) < CISM_DX_FLAG);

if  (~isempty(I1))
  p1 = length(I1)/length(L);
else
  p1 = 0;
end
if  (~isempty(I2))
  p2 = length(I2)/length(L);
else
  p2 = 0;
end

str1 = sprintf('Probability of %s > %2d: %.2f',NAME,threat(1),p1);
str2 = sprintf('Probability of %s > %2d: %.2f',NAME,threat(2),p2);
 eplotlg2(eFile,350,50,[1 1 1],0,0,str1,eFonts(ePlotLegendTextFont,:),10);
 eplotlg2(eFile,350,60,[1 1 1],0,0,str2,eFonts(ePlotLegendTextFont,:),10);

end

% Add text for probability
%x1   = xf+0;
%y1   = threat(2)-0;
%xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
%ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
%etext2('x',xpos,ypos,4,0)
%
% Add text for probability
%x1   = xf+0;
%y1   = threat(1)-0;
%xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
%ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
%etext2('*',xpos,ypos,4,0)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot note on dark bar
x1   = 1;
y1   = threat(4)+1;
xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
etext2(NOTE_HIGHEST,xpos,ypos,3,1)

% Plot note on red bar
x1   = 1;
y1   = threat(3)+1;
xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
etext2(NOTE_HIGH,xpos,ypos,3,1)

% Plot note on yellow bar
x1   = 1;
y1   = threat(2)+1;
xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
etext2(NOTE_MEDIUM,xpos,ypos,3,1)

% Plot note on green bar
x1   = 1;
y1   = threat(1)+1;
xpos = eFac*ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac;
ypos = eFac*ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac;
etext2(NOTE_LOW,xpos,ypos,3,1)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot vertical grey bars
%yh      = [threat(1) MAXY];
%xh      = [(xf-0.5) (xf-0.5)];
%eplot2(xh,yh,'',0,[0.5 0.5 0.5]);
%yh      = [threat(1) MAXY];
%xh      = [(xf+0.5) (xf+0.5)];
%eplot2(xh,yh,'',0,[0.5 0.5 0.5]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

eplot2; % Close the axis
eclose2; % Close the file

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('... done plotting data.\n');fflush(stdout);
