% Not tested in Octave
% Transform pre-created FIR filter into standard format.

clear
CISM_DX_FLAG = 99999;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fid = fopen('./val1/Models/fir/je_fir_0.1.dat','r'); % FIR parameter file.
A   = fscanf(fid,'%d',3);    % First line is IDL Metadata.  Ignore.
P   = fscanf(fid,'%lf',Inf); % Load all parameter data into P
      fclose(fid);           
P   = reshape(P,26,90);      % P is now 26x90 (Day x L-Shell)
P   = P(6:end,:);            % Remove acausal terms for model that takes
                             % in Vsw measured at L1
P   = [zeros(1,size(P,2));P];% Add zero bias term required by arx.c
save P.dat P -ascii
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIR model is generated by setting a(i>0) = 0, and T=0.
% See arx.c
Tac       = 0;           % Number of acausal terms
Tc        = size(P,1)-1; % Number of causal terms
Tx        = 0;           % 
Ts        = 0;           % Lead time
Nx        = size(P,2);   % Number of spatial inputs
Nin       = 1;           % Number of exogenous inputs
Verbosity = 1;           % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Create parameter file to be read by arx.c
TFILE = sprintf('T.dat   #\n');
PFILE = sprintf('P.dat   #\n');
fid   = fopen(sprintf('Po.dat'),'w');
fprintf(fid,TFILE);
fprintf(fid,'X.dat   # The name of the data to read in\n');
fprintf(fid,PFILE);
fprintf(fid,'%d      # Tac\n',Tac);
fprintf(fid,'%d      # Tc\n',Tc);
fprintf(fid,'%d      # T\n',Tx);
fprintf(fid,'%d      # Ts\n',Ts);
fprintf(fid,'%d      # Nin\n',Nin);
fprintf(fid,'%d      # Nx\n',Nx);
fprintf(fid,'%d      # CISM_DX_FLAG\n',CISM_DX_FLAG);
fprintf(fid,'%d      # The level of verbosity',Verbosity);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
