function pre_fir(FILENAME)
% Prepares input files for run_fir

CISM_DX_GLOBALS; % Load global variables

fprintf('Program pre_fir.m is preparing input files ...\n');fflush(stdout);


FILENAME = [CISM_DX_DATA_DIR_ACE,'YYYY_MM_DD_HH_MM_SS_V.daily.dat'];

X        = load(FILENAME);  
DAYNUMS  = datenum(X(:,1),X(:,2),X(:,3));

if (max(diff(DAYNUMS)>1))
  fprintf('    Time gap in input data set %s.',FILENAME2);
  error('Aborting\n.')
end

TODAY = floor(now);
LAST  = datenum(X(end,1),X(end,2),X(end,3));

if (TODAY-LAST == 0)
  fprintf('   (Last real time data available today.)\n',TODAY-LAST);fflush(stdout);
end
if (TODAY-LAST > 1)
  fprintf('   (Last real time data available %d day(s) ago.)\n',TODAY-LAST);fflush(stdout);
end

% Write input file with timestamp
fid = fopen('X_full.dat','w');
fprintf(fid,'%4d %2d %2d %2d %2d %2d %8.2f\n',X');
fclose(fid);

temp      = zeros(size(X,1),1);
temp(:,1) = zeros(size(X,1),1); % No Autoregressive input
temp(:,2) = X(:,7);             % Exogenous input

% Write input file for arx.c
fid = fopen('X.dat','w');
fprintf(fid,'%8.2f %8.2f\n',temp');
fclose(fid);

fprintf('... done preparing input files.\n');fflush(stdout);
