function corr0, ts1,ts2

; Author: Dimitris Vassiliadis
; Original: October 1992.

; Description:
; The function returns the correlation function at zero lag.
; For the whole correlation function see procedure CORR.
; TS1 and TS2 are of the same length.


; initialize
cc = 0.


if max(abs(ts1)) eq 0 then return,cc else ts11 = ts1/max(abs(ts1))
if max(abs(ts2)) eq 0 then return,cc else ts21 = ts2/max(abs(ts2))


stdv1 = stdv(ts11)
if stdv1 eq 0 then stdv1 = 1.
stdv2 = stdv(ts21)
if stdv2 eq 0 then stdv2 = 1.
cc = 100* average ( (ts11-average(ts11)) * (ts21-average(ts21)) ) / (stdv1*stdv2)


return, cc
end
