function post_wsa_mwo()

CISM_DX_GLOBALS; % Load global variables
  
fprintf('Program post_wsa_mwo.m is post processing the model output ...\n');fflush(stdout);  

cwd = pwd;
cd([CISM_DX_DATA_DIR_WSA,'predictions/'])

fprintf('... using parse_wsa_data.m to parse downloaded predictions.\n');fflush(stdout);
parse_wsa_data('mwo');
fprintf('... done parsing predictions\n');fflush(stdout);

for Ts = 1:7
 FNAME = sprintf('YYYY_MM_DD_HH_MM_SS_V_Polarity_Ndays_%s_%d.daily.dat',...
		 'mwo',Ts);
 FNAME = [CISM_DX_DATA_DIR_WSA,'predictions/',FNAME];

 temp      = load(FNAME);
 days      = datenum(temp(:,1),temp(:,2),temp(:,3));  
 minD(Ts)  = min(days);
 maxD(Ts)  = max(days);
end

DAYS  = [min(minD):max(maxD)]';
Dates = datestr(DAYS,23);
X     = CISM_DX_FLAG*ones(length(DAYS),Ts);

for Ts = 1:7
 FNAME = sprintf('YYYY_MM_DD_HH_MM_SS_V_Polarity_Ndays_%s_%d.daily.dat',...
		 'mwo',Ts);
 FNAME = [CISM_DX_DATA_DIR_WSA,'predictions/',FNAME];

 temp       = load(FNAME);
 days       = datenum(temp(:,1),temp(:,2),temp(:,3));  
 days       = days-min(minD)+1;
 X(days,Ts) = temp(:,7);
end
fprintf('... done loading \n');fflush(stdout);
cd(cwd)

fid = fopen('T_combined.dat','w');
for i = 1:size(X,1)
      fprintf(fid,'%s %s %s %2d %2d %2d %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f\n',...
	      Dates(i,7:10),Dates(i,1:2),Dates(i,4:5),23,59,59,...	  
	      X(i,1),X(i,2),X(i,3),X(i,4),X(i,5),X(i,6),X(i,7));
end
      fclose(fid);

fprintf('... done post processing the model output.\n');fflush(stdout);  
