function eps_write(filename,do_it,number)
%EPS_WRITE Write color eps file and execute fixmatlabfigure.pl
%    
%    EPS_WRITE(FILENAME) Writes only filename.
%
%    EPS_WRITE(FILENAME,do_it) Writes filename if do_it == 1.
%
%    EPS_WRITE(FILENAME,do_it,number) Writes file with name
%    FILENAME_number.eps if do_it == 1. 
%
%    If do_it == 2, writes FILENAME and moves file to ./figures.  If do_it
%    == 3, writes three eps files.  One has InvertHardcopy set to off, the
%    other two are cmyk and rgb.  FILENAME_e.eps (e => exactly as on
%    screen), FILENAME_cmyk.eps, and FILENAME.eps are moved to ./figures.

mv_command = 'mv';
if (~isunix),mv_command='move';end;
  
if (nargin == 1)
 do_it = 1;
 com = sprintf('print -depsc %s.eps',filename);
 eval(com);
% !fixmatlabfigure.pl
end

if (nargin == 2)
  if (do_it > 0)
    eval(sprintf('print -depsc %s.eps',filename));
%    !fixmatlabfigure.pl
  end
  if (do_it == 2)
    com = sprintf('!%s %s.eps figures',mv_command,filename);   
    eval(com);
  end
  if (do_it == 3)
    eval(sprintf('print -cmyk -adobecset %s_cmyk.eps',filename));   
    set(gcf,'InvertHardcopy','off')
    eval(sprintf('print -depsc %s_e.eps',filename));  
    %    !fixmatlabfigure.pl    
    set(gcf,'InvertHardcopy','on')  
    eval(sprintf('!%s %s.eps figures',mv_command,filename));   
    eval(sprintf('!%s %s_e.eps figures',mv_command,filename));   
    eval(sprintf('!%s %s_cmyk.eps figures',mv_command,filename));   
  end
end

if (nargin == 3)
  if (do_it > 0)
    com = sprintf('print -depsc %s_%d.eps',filename,number); 
    eval(com);
%    !fixmatlabfigure.pl
  end
  if (do_it == 2)
    com = sprintf('!%s %s_%d.eps figures',mv_command,filename,number);   
    eval(com);
  end
  if (do_it == 3)
    eval(sprintf('print -cmyk -adobecset %s_cmyk_%d.eps',filename,number));   
    set(gcf,'InvertHardcopy','off')
    eval(sprintf('print -depsc %s_e_%d.eps',filename,number));  
    %    !fixmatlabfigure.pl    
    set(gcf,'InvertHardcopy','on')  
    eval(sprintf('!%s %s_%d.eps figures',mv_command,filename,number));   
    eval(sprintf('!%s %s_e_%d.eps figures',mv_command,filename,number));   
    eval(sprintf('!%s %s_cmyk_%d.eps figures',mv_command,filename));   
    eval(sprintf('!%s %s_cmyk_%d.eps figures',mv_command,filename,number));   
  end
end

