%ticDistance=eticdis2( AxesLength,maxTics)
% compute tic distance for Axes
% written by Stefan Mueller stefan.mueller@fgan.de 1997

function ticDistance=eticdis2(AxesLength,maxTics)

  % test parameter
  if (nargin~=2)
    usage ('ticDistance=eticdis2 ( AxesLength,maxTics)');
  end
  if maxTics<2
    maxTics=2;
  end
  if AxesLength<0
    AxesLength=AxesLength*(-1.0);
  end

  % get exponent
  factor=[0.5 2 1];
  exponent=1; 
  while AxesLength>=1.0
    AxesLength=AxesLength/10;
    exponent=exponent*10;
  end

  % get distance factor
  ticDistance=factor(3);
  i=1; 
  currentTics=AxesLength/factor(i); 
  while currentTics<=maxTics
    ticDistance=factor(i);
    i=i+1;
    if i>3
      i=1;
    end
    factor(i)=factor(i)/10;
    currentTics=AxesLength/factor(i);
  end

  ticDistance=ticDistance*exponent;
