%%NAME
%%  etext2  -  write text
%%
%%SYNOPSIS
%%  etext2(text[,x[,y[,fontSize[,alignment[,font[,rotation[,color]]]]]]])
%%
%%PARAMETER(S)
%%  text          text string 
%%  x             x of start position
%%                if x=0 then the text starts after 
%%                the last text in the same line
%%  y             y of start position
%%                if x=0 then y is a relativ position to the current line 
%%  fontSize      size of current font
%%  alignment     1=left, 0=center, -1=right
%%  font          font number (definition in einit.m)
%%  rotation      rotation of text (in deg)
%%  color         color of text, [r g b] vector 
%%
%%GLOBAL PARAMETER(S)
%%  eTextColor
%%  eTextRotation
%%  eTextFont
%%  eTextAlignment
%%  eTextFontSize
% written by Stefan Mueller stefan.mueller@fgan.de 1997

function etext2(text,x,y,fontSize,alignment,font,rotation,color)
  if nargin<1 | nargin>8
    usage ('etext2(text[,x[,y[,fontSize[,alignment[,font[,rotation[,color]]]]]]])');
  end

  eglobpar2;

  if nargin<8
    color=eTextColor;
  end
  if nargin<7
    rotation=eTextRotation;
  end
  if nargin<6
    font=eTextFont;
  end
  if nargin<5
    alignment=eTextAlignment;
  end
  if nargin<4
    fontSize=eTextFontSize;
  end
  if nargin<3
    x=0;
    y=0;
  end
  etextxy2(eFile,...
	   x*eFac,...
	   y*eFac,...
	   rotation,alignment,text,...
	   eFonts(font,:),...
	   fontSize*eFac,color); 
