%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Prep scales for plots
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
eglobpar2;                    % get global parameters
einit2;

ePlotAreaPos       = [5 20]; % x y position of left bottom corner of plot area
ePlotAreaWidth     = 130;     % mm
ePlotAreaHeight    = 225;     % mm
ePlotTitleDistance = 4;


eopen2(eps_filename); % open eps-file and write eps-head

M = length(X1c);

lcolors = [1 0 0;0 1 0;0 0 1;0 0 0];                 % RGB colors
lcolors = repmat(lcolors,ceil(M/size(lcolors,2)),1); % Repeat colors
earliest_year = min(Year_o1);
latest_year   = max(Year_f1);
L             = number_days(earliest_year,latest_year);   % Number of
                                                          % days to be plotted
[temp,I]      = year_labels([1:L+1]',earliest_year);      % Indices of
                                                          % year boundary
XLabels       = repmat(blanks(size(temp,2)),length(I),1); % Create blank array
if (length(I) > 5),dYr = 2;,end
if (length(I) > 13),dYr = 4;,end
if (length(I) > 20),dYr = 5;,end
Io            = [1:dYr:length(I)]; % Every fourth year
XLabels(Io,:) = temp(Io,:);      % Keep every fourth year
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1-D time series
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dY      = 10;
Iy      = [0 dY 10*(3+M)];
eYAxisWestVisible=0; %  0=off 1=on 
eaxes2(I,XLabels,Iy,[]);
ePlotTitleText = Title;
for j = [1:M]

  t      = [1:L]';
  
  if (earliest_year == Year_o1(j))
    offset = 0;
  else
    offset = number_days(earliest_year,Year_o1(j))-...
	     number_days(Year_o1(j),Year_o1(j));
  end

  a      = 1 + offset;
  b      = a + length(X1c{j}) - 1;
  t      = t(a:b);
  
  if (length(t) > 25000)
    Np = 25000; % Kludge to prevent GS from crashing when reading file.
  else
    Np = length(t);
  end
  eplot2(t(1:Np),X1c{j}(1:Np)+10.0*j,'',0,lcolors(j,:));    
  x1   = L+0.025*L;
  y1   = 10*(j);
  
  ePlotAreaXValueStart = 1;
%  ePlotAreaXValueStart = 0; % From axis setting.  Should get this from
                            % re-loading globals ...
  xpos = ePlotAreaPos(1)+(x1-ePlotAreaXValueStart)*ePlotAreaXFac/eFac;
  ypos = ePlotAreaPos(2)+(y1-ePlotAreaYValueStart)*ePlotAreaYFac/eFac;

  etext2(Names1{j},xpos,ypos,3,1,1,0,lcolors(j,:))
  
end
eplot2; 
eclose2;
psview(eps_filename);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
