function psview(EPS_FILE,cmd_line_args)
%PSVIEW Opens a file using a postscript viewer
%
%   PSVIEW(Filename) loads Filename using postscript viewer specified by
%   CISM_DX_startup.  Also tries to start other viewers if default post
%   script viewer is not found.
%
%   Note that for highly detailed plots with many points you may need
%   to turn off antialiasing in your postscript viewer for the plot to
%   properly load.
%
%   See also CISM_DX_startup.
  
CISM_DX_GLOBALS;  

if (nargin < 2)
  cmd_line_args = '';
end

if (is_unix == 1)  
  ALT_PATHS = {'/usr/bin/gv'};  
  
  if (exist(CISM_DX_PS_PATH))
    system([CISM_DX_PS_PATH,' ',EPS_FILE,' ',cmd_line_args,' &']);
  elseif (exist(ALT_PATHS{1}))
    system([ALT_PATHS{1},' ',EPS_FILE,' ' ,cmd_line_args,' &']);
  else
    ecom = sprintf('Could not find default postscript viewer\n');
    ecom = sprintf('%s.  Also unsucessfully tried %s\n',...
		   ecom,CISM_DX_PS_PATH,ALT_PATHS{1});
    error(ecom);
  end
end

if (is_unix == 0)  
  ALT_PATHS = {''};  
  
  if (exist(CISM_DX_PS_PATH))
    system([CISM_DX_PS_PATH,' ',EPS_FILE,' ',cmd_line_args]);
  elseif (exist(ALT_PATHS{1}))
    system([ALT_PATHS{1},' ',EPS_FILE,' ' ,cmd_line_args]);
  else
    ecom = sprintf('Could not find default postscript viewer\n');
    ecom = sprintf('%s.  Also unsucessfully tried %s\n',...
		   ecom,CISM_DX_PS_PATH,ALT_PATHS{1});
    error(ecom);
  end
end  