function [dY,nc,F,Fs] = eecolorbar(Y,Ns)

if (nargin < 2)
  Ns = 5;  
end
F = 0;
Fs = '';

ymin  = min(Y(:));
ymax  = max(Y(:));
ystep = (ymax-ymin)/Ns;

if (ymin == ymax)
  ymax=ymin+eps;
  ystep = eps;
  nc = 1;
  dY = [ymin,ystep,ymax];
  return;
end

F = 1;
k  = 0;

if (ystep > 100) 

  ystep_o = ystep;
  while (ystep>100) & (10^-k < realmin)
    k   = k+3;
    F   = 10^-k;
    ystep = ystep_o*F;
    Fs  = sprintf('10^%d',k);
  end

end

k = 0;
if (ystep < .01)
  ystep_o = ystep;
  while (ystep<0.01) & (10^k < realmax)
    F   = 10^k;
    ystep = ystep_o*F;
    Fs  = sprintf('10^-%d',k);
    k   = k+3;
  end
end

ymin  = ymin*F;
ymax  = ymax*F;

M  = 10.^[-3:3];
Mi = find(ystep*M > 1); % Use ystep to determine least significant digit 
Mi = Mi(1);

% Compute new ymin, ymax
if (~isempty(Mi))
  ymin = floor(ymin.*M(Mi))/M(Mi);
  ymax = ceil(ymax.*M(Mi))/M(Mi);
end

% Compute new ystep
ystep = (ymax-ymin)/Ns; 

M  = 10.^[-4:4];
Mi = find(ystep*M > 1); % Use ystep to determine least significant digit 
Mi = Mi(1);

if (~isempty(Mi))
  ystep = round(ystep*M(Mi))/M(Mi);
end

if (ymin < 0) % Want 0 to have a tick
  ymin = [0:-ystep:ymin-ystep];
  ymin = ymin(end);
end

ticks = [ymin:ystep:ymax];
if (ticks(end) < ymax) % Want top to have tick
  ymax = ticks(end)+ystep;
end
ticks = [ymin:ystep:ymax];
nc = length(ticks)-1;
dY = [ymin,ystep,ymax];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
