function [ymin,ystep,ymax] = eeticks(Yc,type)

if (nargin < 2)
  type = 'y';
end

if (~iscell(Yc) & length(Yc(:)) == 1)
  Yc = [0:Yc-1];
%  Yc = [1:Yc];
end

if (type == 'y')  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if ~iscell(Yc),L=size(Yc,2);else,L=length(Yc);,end

if (iscell(Yc))

  for i = 1:L
    ymin(i)  = min_nonflag(Yc{i});
    ymax(i)  = max_nonflag(Yc{i});
  end

  ymin = min_nonflag(ymin);
  ymax = max_nonflag(ymax);
  
else

  ymin = min_nonflag(Yc(:));
  ymax = max_nonflag(Yc(:));

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Place ticks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ystep  = (ymax-ymin)/5;

M  = 10.^[-4:4];
Mi = find(ystep*M > 1); % Use ystep to determine least significant digit 
Mi = Mi(1);

if (~isempty(Mi))
  ymin = floor(ymin.*M(Mi))/M(Mi);
  ymax = ceil(ymax.*M(Mi))/M(Mi);
end

ystep = (ymax-ymin)/5; 

M  = 10.^[-4:4];
Mi = find(ystep*M > 1); % Use ystep to determine least significant digit 
Mi = Mi(1);

if (~isempty(Mi))
  ystep = round(ystep*M(Mi))/M(Mi);
end

if (ymin < 0) % Want 0 to have a tick
  ymin = [0:-ystep:ymin-ystep];
  ymin = ymin(end);
end

ticks = [ymin:ystep:ymax];
if (ticks(end) < ymax) % Want top to have tick
  ymax = ticks(end)+ystep;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

Xc = Yc;

  if (iscell(Xc))

    L=length(Xc);

    for i = 1:L

      if isempty(Xc{i})
	xmin = 1;
	if iscell(Yc)
	  xmax(i)  = length(Yc{i});
	else
	  xmax(i)  = size(Yc,1);
	end
      else
	xmin(i)  = min(Xc{i});
	xmax(i)  = max(Xc{i});
      end
    end

    xmin = min(xmin);
    xmax = max(xmax);
    
  else % if ~iscell(Xc)

    L=size(Xc,2);

    if isempty(Xc)
      xmin = 1;
      if iscell(Yc)
	xmax  = length(Yc{i});
      else
	xmax  = size(Yc,1);
      end
    else      
      for i = 1:L
	xmin  = min(Xc(:));
	xmax  = max(Xc(:));
      end
    end
  
  end % if iscell(Xc)

  xstep = (xmax-xmin)/5;  
