function EEPLOT(Xc,Yc,P)
%EEPLOT Easier EPLOT
%
%   EEPLOT(Y)
%
%   EEPLOT(X,Y)
%
%   EEPLOT(X,Y,P)
%
%
  
if (nargin < 2)

  Yc = Xc;

  P.eps_filename  = 'etseries_demo.eps';

  if ~iscell(Xc),L=size(Xc,2);else,L=length(Xc);,end

  clear Xc;
  if iscell(Yc)
    for i = 1:L
      Xc{i} = [];
    end
  else
    Xc = [];    
  end

end

if isstruct(Yc)
  P = Yc;
end

if (~isfield(P,'Legend'))
  if ~iscell(Yc),L=size(Yc,2);else,L=length(Yc);,end
  for i = 1:L
    P.Legend{i} = '';
  end
end
  
if (~isfield(P,'filename'))  
  eps_filename = 'etseries_demo.eps';
else
  eps_filename = P.filename;
end

if (~isfield(P,'Ylims'))

  if ~iscell(Yc),L=size(Yc,2);else,L=length(Yc);,end

  if (iscell(Yc))

    for i = 1:L
      ymin  = min(Yc{i});
      ymax  = max(Yc{i});
      ystep = 0;
    end
  
  else

    for i = 1:L
      ymin  = min(Yc(:,i));
      ymax  = max(Yc(:,i));
      ystep = 0;
    end
  
  end

else

  ymin  = P.Ylims(1);
  ymax  = P.Ylims(2);
  ystep = P.Ylims(3);

end

if (~isfield(P,'Xlims'))

  if (iscell(Xc))

    L=length(Xc);

    for i = 1:L

      if isempty(Xc{i})
	xmin  = 1;
	if iscell(Yc)
	  xmax  = length(Yc{i});
	else
	  xmax  = size(Yc,1);
	end
	xstep = 0;
      else
	xmin  = min(Xc{i});
	xmax  = max(Xc{i});
	xstep = 0;
      end
    
    end
  
  else

    L=size(Xc,2);

    if isempty(Xc)
      xmin = 1;
      if iscell(Yc)
	xmax  = length(Yc{i});
      else
	xmax  = size(Yc,1);
      end
      xstep = 0;
    else      
      for i = 1:L
	xmin  = min(Xc(:,i));
	xmax  = max(Xc(:,i));
	xstep = 0;
      end
    end
  end

else

  xmin  = P.Xlims(1);
  xmax  = P.Xlims(2);
  xstep = P.Xlims(3);

end

if (~isfield(P,'LineColors'))
  LineColors = [1 0 0 ; ...
		0 1 0 ; ...
		0 0 1 ; ...
		0 1 1 ; ...
		1 1 1 ];
end

eglobpar;                    % get global parameters
einit;

ePlotAreaPos       = [15 20]; % x y position of left bottom corner of plot area
ePlotAreaWidth     = 170;     % mm
ePlotAreaHeight    = 200;     % mm
ePlotTitleDistance = 4;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
eopen(eps_filename);         % open eps-file and write eps-head

eaxes([xmin xstep xmax],[ymin ystep ymax])

if ~iscell(Yc),L=size(Yc,2);else,L=length(Yc);,end

for i = 1:L

  if iscell(Yc) & iscell(Xc)
    if isempty(Xc{i})
      x = [1:length(Yc{i})]';
      eplot(x,Yc{i},P.Legend{i},0,LineColors(i,:));
    else
      eplot(Xc{i},Yc{i},P.Legend{i},0,LineColors(i,:));
    end
  
  end

  if ~iscell(Yc) & ~iscell(Xc)
    
    if (~isfield(P,'Legend'))
      P.Legend{i} = '';
    end

    if isempty(Xc)
      x = [1:size(Yc,1)]';
      eplot(x,Yc(:,i),P.Legend{i},0,LineColors(i,:));  
    else
      eplot(Xc(:,i),Yc(:,i),P.Legend{i},0,LineColors(i,:));  
    end

  
  end

end

eplot; 
eclose;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
