clear

CISM_DX_GLOBALS;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Example 1
% Generate a 3 year time series and average using YEAR_MONTH_AVE
year_o = 1999;
year_f = 2001;

x      = -1 + cumsum(ones(number_days(year_o,year_f),1));
FLAGv  = 999999;
D      = year_doy_grid(x,[year_o,year_f]);

% Name of the output eps file
EPS_FILENAME1 = './year_doy_grid_plot_demo.eps';
TitleText     = 'Created by year_doy_grid_plot_demo.m'; % Title on plot

% Create .eps plot
year_doy_grid_plot(D,year_o,EPS_FILENAME1,TitleText);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Example 2
[I,x]  = uniform_time_series_get('Sunspot number');
year_o = str2num(name2value(I,'Year_o'));
year_f = str2num(name2value(I,'Year_f'));
FLAGv  = str2num(name2value(I,'Flag for missing or bad data'));
x      = block_mean_nonflag(x,24,FLAGv);
%x      = block_detrend_nonflag(x,365*5,FLAGv);
x      = reflag(x,FLAGv,0,1);
D      = year_doy_grid(x,[year_o,year_f]);

% Name of the output eps file
EPS_FILENAME1 = './year_doy_grid_plot_demo2.eps';
TitleText     = 'Created by year_doy_grid_plot_demo.m'; % Title on plot

% Create .eps plot
year_doy_grid_plot(D,year_o,EPS_FILENAME1,TitleText);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

break
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Example 1
% Generate a 10 year time series
x = -1+cumsum(ones(365*10,1));
x = reshape(x,365,10);
D = x';

% Name of the output eps file
EPS_FILENAME1 = './year_month_ave_demo1.eps';
TitleText     = 'Created by year_month_ave_plot_demo.m'; % Title on plot

% Create .eps plot
year_month_ave_plot(D,EPS_FILENAME1,2000,TitleText);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

break


break




