#! /bin/sh

# octinst.sh source mpath opath xpath [altmpath altopath]

# Copies all m-files and oct-files from the source directory to the
# mpath and opath respectively.  Preserves links.  Files in
# source/data are copied to mpath.  Files in the source/bin are copied
# to xpath. m-files and oct-files in source/alternatives are copied to 
# altmpath and altopath respectively

if test $# -lt 4 ; then
    echo 'Not enough arguments'
    exit 1
fi

# interpret input parameters
source=$1; shift
mpath=$1; shift
opath=$1; shift
xpath=$1; shift
altmpath=$1; shift
altopath=$1; shift
INSTALL="/usr/bin//install -c"
INSTALL_DATA="${INSTALL} -m 644"
INSTALL_PROGRAM="${INSTALL}"
MKPKGADD="/home/cism/weigel/Programs/CISM_DX/mfiles/octave-forge-2004.02.12/admin/mkpkgadd"
COPY_FLAGS="-fdp"

# grab the m-files
files=`echo $source/*.m`
if test "$files" != "$source/*.m" ; then
    $INSTALL -d $mpath
    $INSTALL_DATA $files $mpath
fi

# grab the oct-files
files=`echo $source/*.oct`
if test "$files" != "$source/*.oct" ; then
    $INSTALL -d $opath
## Grrr... install doesn't preserve links.  Hope this works.
    cp $COPY_FLAGS $files $opath
fi

# install alternatives
if test -d "$source/alternatives" ; then
    # m-files
    files=`echo $source/alternatives/*.m`
    if test "$files" != "$source/alternatives/*.m" ; then
        $INSTALL -d $altmpath
	$INSTALL_DATA $files $altmpath
    fi
    # oct-files
    files=`echo $source/alternatives/*.oct`
    if test "$files" != "$source/alternatives/*.oct" ; then
        $INSTALL -d $altopath
	$INSTALL_DATA $files $altopath
    fi
fi

# create PKG_ADD
$MKPKGADD $source > $source/PKG_ADD.t
if test -n "`cat $source/PKG_ADD.t`" ; then
  mv $source/PKG_ADD.t $mpath/PKG_ADD
else
  rm -f $source/PKG_ADD.t
fi
# PKG_ADD for alternatives
if test -d "$source/alternatives" ; then
    $MKPKGADD $source/alternatives > $source/alternatives/PKG_ADD.t
    if test -n "`cat $source/alternatives/PKG_ADD.t`" ; then
        mv $source/alternatives/PKG_ADD.t $altmpath/PKG_ADD
    else
        rm -f $source/alternatives/PKG_ADD.t
    fi
fi

# grab the data files, skipping the CVS directory
files=`echo $source/data/* | sed -e "s/[^ ]*CVS//"`
if test "$files" != "$source/data/*" ; then
    $INSTALL -d $mpath
    $INSTALL_DATA $files $mpath
fi

# grab the executable files, skipping the CVS directory
files=`echo $source/bin/* | sed -e "s/[^ ]*CVS//"`
if test "$files" != "$source/bin/*" ; then
    $INSTALL -d $xpath
    $INSTALL_PROGRAM $files $xpath
fi

