function [Bm,Bv,Bs] = functionname(Am,Av,As,Options);
  
if (nargin < 4)
  use_script = 0;
  compile = 0;   % Would be useful to put a check here to test if any of
	         % the dependencies of functionname_mex have changed.
  debug = 0;     % If mex or oct should print debugging information.
  verbosity = 0; % If mex or oct should print other information.

else
  use_script = Options.use_script;
  compile = Options.compile;
  debug = Options.debug;
  verbosity = Options.verbosity;
end

% Octave
if (~exist('matlabpath')) & (use_script == 0)

end

% Matlab
if (exist('matlabpath')) & (use_script == 0)
  if (exist('functionname_mex') == 3) & (compile == 0)
    [Bm,Bv,Bs] = functionname_mex(Am,Av,As,debug,verbosity);
    return;
  else
    try
      mex -c libname.c
      mex functionname_mex.c libname.o
      [Bm,Bv,Bs] = functionname_mex(Am,Av,As,debug,verbosity);
    catch
      warning(['functionname: Compilation of shared library failed.'...
	       ' using script for computation instead of shared library']);
      [Bm,Bv,Bs] = functionname(Am,Av,As,0);
    end
  end
end

% Do computation with script
Bm = As*Am;
Bv = As*Av;
Bs = As;