
% Approach designed to make use by Octave and Matlab external libraries more
% straightforward.  All input validation is done in functionname.m file
% instead of the .c or .cc files.

% To tailor to a function named newfun and a library named
% newlib (with function newlib_newfun), 
% Change names of all files matching functionname*
% Change names of all files matching libname*
% Replace all instances of libname_functionname in source files
% then replace all instances in source files of libname and LIBNAME

system('rm functionname_mex.mexglx');


Am = [1 2;3 4];
Av = Am(:,1);
As = 2;
  
% Get default options
Options = functionname_options;
Options.debug = 1; % Change default so debug info is printed.

tic;
[Bm,Bv,Bs] = functionname(Am,Av,As,Options);
fprintf('Time for script              = %f\n',t1(i,n));

for i = 1:1
for n = 1:1

  tic;
  [Bm,Bv,Bs] = functionname(Am,Av,As);
  t1(i,n) = toc;
  fprintf('Time for script              = %f\n',t1(i,n));  

  Options = functionname_options;  % Get default options
  Options.use_script = 1; 
  tic;
  [Bm,Bv,Bs] = functionname(Am,Av,As);
  t2 = toc;
  t2(i,n) = toc;
  fprintf('Time for shared library      = %f\n',t2(i,n));


  Rt(i,n) = t1(i,n)/t2(i,n);
  fprintf('script/library time ratio    = %f\n',Rt(i,n));

  Da(i,n) = (mag(Bo2)-mag(Bo1))/eps;
  fprintf('script-library answer/eps    = %f\n',Da(i,n));

end
end