/* libname.h  uses header file that works for both C and C++ */

/* note that this works in both C and C++ because:
          1)  only C style comments are used
          2)  name mangling is turned off using  extern "C" { ... }
              in  #ifdef  --cplusplus   <-- a special name
          3)  good practice is used to be sure included just once
*/

#ifndef LIBNAME_H_   /* to only include once */
#define LIBNAME_H_   /* to only include once */

#ifdef __cplusplus    /* make it C if in C++ compiler */
  extern "C" {
#endif

/* Put other C header files here e.g., */
/* #include <time.h>                   */

int libname_functionname(double *Am, int mrows_Am, int ncols_Am,
			 double *Av, int mrows_Av,
			 double *As,
			 double *Bm, double *Bv, double *Bs);
                            
#ifdef __cplusplus  /* closing } for C in C++ compiler  */
  }
#endif

#endif  /* LIBNAME_H_  to only include once */


