/* R.S. Weigel, 09/02/2004 */
#include "read_hdf_sd.h"

main(int argc, char *argv[]){

  int i,j,row=0,col=0;
  int verbosity = 0;
  int return_data = 0;
  int N = 1;
  int stat;

  static SDS_structure SDS;
  char sd_filename;
  
  SDS.sd_filename = (char*)calloc(MAX_LEN,sizeof(char));
  //strcpy(SDS.sd_filename,"CISM_DX_1_day_data_1963_X.hdf");
  if (argc > 1){
    strcpy(SDS.sd_filename,argv[1]);
    printf("Filename = %s\n",SDS.sd_filename);
  }
  else {
    printf("Error: Input filename must be specified. Aborting\n");
    fflush(stdout);
    return 0;
  }

  /****************************************************************/  
  /* Can get number of datasets in file                           */
  /* and info about first sds by passing return_data = 0          */
  /****************************************************************/
  SDS.sds_index = 0;
  return_data   = 1;

  printf("Attempting to call function read_hdf_sd ...\n");
  stat = read_hdf_sd(&SDS, return_data, verbosity);
  printf("Found %d sds datasets in file %s\n",SDS.n_datasets,SDS.sd_filename);

  if (stat == 0){
    printf("Problem with call to read_hdf_sd.  Aborting.\n");
    return;
  }
  else {
    printf("... Completed call to function read_hdf_sd.\n");
    printf("Name of SDS %d/%d = %s\n",SDS.sds_index+1,SDS.n_datasets,SDS.name);
  }

  /*************************************************************************/

  free_SDS(&SDS,return_data);

}
