function [sum1,Ng] = moving_mean_nonflag(x,N,FLAG)
%MOVING_MEAN_NONFLAG Moving average of non-FLAG elements.
%  
%    Y = MOVING_MEAN_NONFLAG(X,N) Each element of y is average of N 
%    points.  Each column of X, x, is filtered according to
%
%    x(t) = (1/N)*(x(t) + ... + x(t+N))
%
%    See also MOVING_MEAN_NONFLAG, FILTER.

if (nargin < 3)
  FLAG = NaN;
end
  
sum1 = zeros(size(x));
for j = 1:N
  sum1(1) = sum1(1) + x(j);
end

for i = 2:size(x,1)-(N-1)
  Im1     = i-1;
  sum1(i) = sum1(Im1) - x(Im1) + x(Im1+N);
end
for k = i+1:size(x,1)
  sum1(k) = FLAG;
end

