function remove_lines(filenameA,LINES,filenameA_alternative)
%REMOVE_LINES Remove lines of file.
%
%    REPLACE_LINES(filenameA,LINES) Remove lines in LINES.
%
%    REPLACE_LINES(filenameA,LINES,filenameA_modified) Renames
%    the modified file to filenameA_modified.
%
%    See also PERLOP, PERLOP_DEMO, PERLPATH.

%    R.S. Weigel, August, 2003.  
  
% Call the Perl program perlop.pl

if (is_octave)
  error('Not (yet) compatable with Octave');
end
  
if (nargin < 3)
  filenameA_alternative = filenameA;
end
  
% create LINES file using time stamp as unique identifier.
filenameL    = sprintf('%d',fix(clock));
filenameL    = strcat('filenameL_',filenameL);

fid = fopen(filenameL,'w');
fprintf(fid,'%d ',LINES);
fclose(fid);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Call the Perl program perlop.pl
path_perlpart = which('perlop.m');  % Assume perlop.pl in same
				    % directory as perlop.m
				    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Guess the directory
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
home_dir = path_perlpart;     
I        = findstr('CISM_DX',home_dir);
home_dir = home_dir(1:I-1);
				    
path_perlpart = [path_perlpart(1:end-1),'pl'];

if (isunix)
  path_perlpart = [home_dir,'CISM_DX/','perlfiles/remove_lines.pl'];
  com = sprintf('%s %s %s %s',...
		perlpath,path_perlpart,filenameA,filenameL);

  lasterr(''); % Sets lasterr to ''
  s1 = sprintf('!%s',com);
  eval(s1,'');

  if (~isempty(lasterr))
    error('Requested file does not exist.');
  end

else
  path_perlpart = [home_dir,'CISM_DX\','perlfiles\remove_lines.pl'];
  com = sprintf('%s "%s" "%s" "%s"',...
		perlpath,path_perlpart,filenameA,filenameL);

  lasterr(''); % Sets lasterr to ''
  s1 = sprintf('!%s',com);
  eval(s1,'');

  if (~isempty(lasterr))
    error('Requested file does not exist.');
  end

end

% Remove the temp files.
if (isunix)
  com2       = sprintf('!rm %s',filenameL);
  com3       = sprintf('!mv %s_modified %s',filenameA,filenameA_alternative);
else
  com2       = sprintf('!del "%s"',filenameL);
  com3       = sprintf('!move "%s_modified" "%s"',filenameA,filenameA_alternative);
end

eval(com2);
eval(com3);



