function gunzip(FILENAME,PATH)
%GZIP Use gzip to uncompress file
% 
%   GZIP(FILE)
% 
%   Assumes gzip invoked with /usr/bin/gzip if OS is Unix.
%   Assumes gzip is invoked with .\gzip.exe if OS is Windows.
%
%   GZIP(FILE,GZIP_COMMAND) invokes gunzip with string GZIP_COMMAND.
%
%   See also GZIP.

% R.S. Weigel, December 22, 2003.

if (isunix)  
  if (nargin > 1)
    comstr = PATH;    
  else
    comstr = '/usr/bin/gzip';
  end
  com = sprintf('%s %s\n',comstr,FILENAME);
  system(com);
else
  if (nargin > 1)
    comstr = PATH;    
  else
    fs = '\\'; % Avoid octave warning
    comstr = ['.',fs(1),'gzip.exe'];
  end
  com = sprintf('"%s" "%s"\n',comstr,FILENAME);
  system(com);
end
