TSDS_VERSION = '0.9.35';
%TSDS_GLOBALS Loads global variables and sets paths
%
%   Usage: TSDS_GLOBALS
%
TSDS_SNAPSHOT = '0'; % Version of TSDS data to use, e.g. final-s0 or final-s1.
if exist('/tmp'),is_unix = 1;else,is_unix = 0;end  
if exist('matlabpath'),is_octave = 0;else is_octave = 1;end

if is_octave
  page_output_immediately = 1;
end

if ~exist('ts_list') 
  TSDS_first_load = 1;
else
  TSDS_first_load = 0;
end
%  TSDS_first_load = 1;

BASE0 = pwd;
BASE2 = [BASE0,'/deps/octave/'];

tmpa = which('find'); % Needed on cygwin (sometimes)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if (is_octave)
%  if ~isempty(findstr('cygwin',DEFAULT_LOADPATH)) % don't have "find"
% If same number of c, y, g, assume cygwin.  Really need to find out
% how to make octave relocatable ...
  if (sum(DEFAULT_LOADPATH=='c') == sum(DEFAULT_LOADPATH=='y')) ...
	== (sum(DEFAULT_LOADPATH=='c'))
    is_cygwin = 1;
    UNAME = 'i686-pc-cygwin';
  else
    is_cygwin = 0;
    UNAME = 'i686-pc-linux-gnu';
  end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% For locally installed version of Octave in nonstandard directory
% (DEFAULT_LOADPATH seems to be hard-wired to where it was compiled)
if (TSDS_first_load == 1)
if (is_octave == 1) & (is_cygwin == 0) 
%& ~exist('/usr/share/octave')
if (length(LOADPATH)==1)
LOADPATH = [...
	    BASE0,...
	    ':',BASE2,'share/octave/2.1.71/m//',...
	    ':',BASE2,'share/octave/site/m//',...
	    ':',BASE2,'libexec/octave/2.1.71/site/oct/',UNAME,'//',...
	    ':',BASE2,'libexec/octave/site/oct/',UNAME,'//',...
	    ':',BASE2,'libexec/octave/2.1.71/oct/',UNAME,'//'];
end
end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

under80 = repmat('_',1,80);

if (~exist('TSDS_VERSION'))
  TSDS_VERSION=['cvs',date];
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if (TSDS_first_load==1) % Only print this message if ts_list is not in path.
  fprintf('%s\n',under80);
  fprintf('Starting TSDS version %s.\n',TSDS_VERSION);
  fprintf('\nType "help tsds" for usage information.\n');
  fprintf('Type "tsds_test" to test installation.\n');
  fprintf('Type "ts_manual" to view the TSDS manual.\n\n');
  if (~exist('CISM_DX_ROOT'))
    fprintf('Report TSDS bugs to <rweigel@gmu.edu>\n');
    fprintf('\nSetting TSDS paths. (Type "path" to see list.)\n');
    fprintf(['Setting TSDS global variables. '...
            '(Type "whos TSDS*" to see list.)\n']);
  end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Directory of local data files for reading only
BASE0 = which('TSDS_GLOBALS.m'); % Get path where TSDS_GLOBALS.m resides
BASE0 = BASE0(1:end-length('TSDS_GLOBALS.m')); % Remove filename part 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Paths
if (TSDS_first_load == 1)
LOADPATH_COMMON = [BASE0,...
		   ':',BASE0,'tsds_fns',...
		   ':',BASE0,'demo',...
		   ':',BASE0,'m',...
		   ':',BASE0,'tsds_fns/mat',...
		   ':',BASE0,'deps/octave-rsw/set',...
		   ':',BASE0,'deps/octave-rsw/string_functions',...
		   ':',BASE0,'deps/octave-rsw/time_functions',...
		   ':',BASE0,'deps/octave-rsw/statistics_functions',...
		   ':',BASE0,'deps/octave-rsw/system_functions'];

LOADPATH_MAT = ['.',':',LOADPATH_COMMON,':',...
		':',BASE0,'deps/octave-rsw/octave-matlab-compat/matlab',...
		':',BASE0,'tsds_fns/hdf'];
		
LOADPATH_OCT = [LOADPATH_COMMON,...
		':',BASE0,'deps/octave-rsw/octave-matlab-compat/octave//',...
		':',BASE0,'deps/octave-rsw/flag_functions/libflag_octave',...
		':',BASE0,'deps/octave-forge/main/strings',...
		':',BASE0,'deps/octave-forge/main/struct',...
		':',BASE0,'deps/octave-forge/main/time',...
		':',BASE0,'deps/octave-forge/main/set',...
		':',BASE0,'deps/octave-forge/main/general'];

if (is_octave==1)
  LOADPATH = ['.',':',LOADPATH_OCT,':',LOADPATH];
   if (is_cygwin==1)
     tmpDD=ls('./deps');
     tmpIa = findstr('octave-rsw-',tmpDD);
     tmpIb = findstr(tmpDD(tmpIa(1):end),'\t');
     LOADPATH_OCT = strrep(LOADPATH_OCT,'octave-rsw',tmpDD(tmpIa(1):tmpIb(1)));
   end	
else
  if (isunix == 0)
    % Replace : with ; on windows with matlab
    % But keep : preceeded by drive letter of BASE0
    tmpIkeep = findstr([':',BASE0(1),':'],LOADPATH_MAT);
    tmpI     = findstr(':',LOADPATH_MAT);
    LOADPATH_MAT(tmpI)       = ';';
    LOADPATH_MAT(tmpIkeep+2) = ':';
    % Replace octave-rsw with octave-rsw-VER (no ln on W32)
    tmpDD = dir([BASE0,'deps/octave-rsw-*']);
    LOADPATH_MAT = strrep(LOADPATH_MAT,'octave-rsw',tmpDD.name);
  end
  path(LOADPATH_MAT,path);
end

end % first load

% addpath('./'); % Octave-forge addpath does not do this by default.  
                 % Matlab will ignore 
		 % No longer needed with fixed addpath.m in octave-rsw.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Directory of local data files for reading only
if (is_unix == 1)
  TSDS_DATA_LOCAL = [BASE0,'data/final-s0'];
else
  TSDS_DATA_LOCAL = [BASE0,'data\final-s0'];
end	

% To set data directory manually, edit one of these
%TSDS_DATA_LOCAL = 'C:/DOCUME~1/weigel/MYDOCU~1/tsds/data/final-s0';
%TSDS_DATA_LOCAL = '/tmp/tsds/data/final-s0';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Global variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
TSDS_DATA_HTTP = 'http://www.scs.gmu.edu/~rweigel/tsds_data/final-s0';
TSDS_DATA_HTTP_ORIG = 'http://www.scs.gmu.edu/~rweigel/tsds_data/original-s0';
TSDS_DATA_ORIG = '/home/weigel/Data/tsds_data/original-s0'; 
TSDS_ACK_WARN  = 1;
%TSDS_USERNAME  = 'weigel';
TSDS_USERNAME  = 'base';
TSDS_FLAG      = 99999; % Old flag
TSDS_FLAG      = NaN;

if (exist('LOADPATH'))
  TSDS_MAX_FILESIZE = 20e6; % Matlab save -V6 compresses file so data in
                            % memory is ~5x as large as it is on disk.
else
  TSDS_MAX_FILESIZE = 100e6;
end

fs = '\\'; % Octave warns on a lone '\';
if (exist('/tmp'))
  is_unix = 1;
  TSDS_DATA_TEMP = '/tmp'; 
else
  TSDS_DATA_TEMP = ['C:',fs(1),'RECYCLER']; 
end  

TSDS_ROOT      = which('TSDS_GLOBALS');
TSDS_ROOT      = TSDS_ROOT(1:end-15);		  
TSDS_PERLFILES = [TSDS_ROOT,'/perl'];		  

if (is_unix == 1)
  TSDS_WGET      = ['/usr/bin/wget'];
  TSDS_WGET_ARGS = ['-m -nH --cut-dirs=5'];
  TSDS_CURL      = ['/usr/bin/curl'];
  TSDS_CURL_ARGS = ['-o'];
  TSDS_PERL      = checkdeps('/usr/bin/perl',0,1);
  TSDS_GZIP      = checkdeps('/usr/bin/gzip',0,1);
  TSDS_WWW       = checkdeps('/usr/bin/firefox',0,0);
  if (TSDS_WWW == -1)
    TSDS_WWW = ['/usr/bin/konqueror'];
  end
else
  TSDS_WGET     = [BASE0,'deps',fs(1),'wget_w32',fs(1),'wget.exe'];
  TSDS_WGET_ARGS = ['-m -nH --cut-dirs=5'];
  TSDS_GZIP     = [BASE0,'deps',fs(1),'gzip_w32',fs(1),'bin',fs(1),'gzip.exe'];
  TSDS_WWW      = ['"C:/Program Files/Mozilla Firefox/firefox.exe"'];
  if (~exist(TSDS_WWW(2:end-1)))
    TSDS_WWW = ['"C:/Program Files/Internet Explorer/IEXPLORE.EXE"'];
  end	
  
  tmpI = find(TSDS_WWW=='/'); % Kludge to prevent "unrecognized escape
                           % warning" in Octave
  TSDS_WWW(tmpI)=fs(1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Put files in user directory
if (is_unix | is_cygwin)
  if (is_octave)
    TSDS_DATA_LOCAL_WRITE = '~/.tsds/data';
    if (~exist([TSDS_DATA_LOCAL_WRITE,'/ts_db_comb.mat']))
      system(sprintf('mkdir -p %s',TSDS_DATA_LOCAL_WRITE));
      system(sprintf(['cp %s/ts_db.mat '...
  	   	    '%s/ts_db_comb.mat'],...
		    TSDS_DATA_LOCAL,TSDS_DATA_LOCAL_WRITE));
    end
  else % Matlab
    % expand ~/ (for Matlab < 7)
    tmpdir=prefdir; tmpI = findstr('.matlab',tmpdir); tmpdir=tmpdir(1:tmpI-1);
    TSDS_DATA_LOCAL_WRITE = [tmpdir,'.tsds/data'];
    if (~exist([TSDS_DATA_LOCAL_WRITE,'/ts_db_comb.mat']))
      system(sprintf('mkdir -p %s',TSDS_DATA_LOCAL_WRITE));
      system(sprintf(['cp %s/ts_db.mat '...
   	  	    '%s/ts_db_comb.mat'],...
  		    TSDS_DATA_LOCAL,TSDS_DATA_LOCAL_WRITE));
    end
  end
  if ~exist('~/.tsds/TSDS_GLOBALS.m')
    system(sprintf('cp %s/TSDS_GLOBALS.m ~/.tsds/',TSDS_ROOT));
  end
else % Windows
  TSDS_DATA_LOCAL_WRITE = [TSDS_ROOT,fs(1),'data'];
  if (is_octave)
    if (~exist([TSDS_DATA_LOCAL_WRITE,'/ts_db_comb.mat']))
      system(sprintf('mkdir %s',TSDS_DATA_LOCAL_WRITE));
      system(sprintf(['copy %s/ts_db.mat '...
  		    '%s/ts_db_comb.mat'],...
		    TSDS_DATA_LOCAL,TSDS_DATA_LOCAL_WRITE));
    end
  else % Matlab
    tmpfname = sprintf('%s\\ts_db_comb.mat',TSDS_DATA_LOCAL_WRITE);
    if (~exist(tmpfname))
      system(sprintf(['copy "%s"\\ts_db.mat '...
   	  	    '"%s"\\ts_db_comb.mat'],...
  		    TSDS_DATA_LOCAL,TSDS_DATA_LOCAL_WRITE));
    end
  end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if (~exist('CISM_DX_ROOT')) 
if (TSDS_first_load == 1)
  fprintf('\n');
  if (is_unix | is_cygwin)
    fprintf('According to the file ~/.tsds/TSDS_GLOBALS.m,\n\n');
  else
    fprintf('According to the file %s/TSDS_GLOBALS.m,\n\n',TSDS_ROOT);
  end
  if length(TSDS_DATA_LOCAL) > 54
    fprintf('TSDS_DATA_LOCAL = \n  %s \n',TSDS_DATA_LOCAL);
  else
    fprintf('TSDS_DATA_LOCAL = %s \n',TSDS_DATA_LOCAL);
  end
  fprintf(['  (location of base TSDS *metadataonly* files)']);
  fprintf('\n\n');
  if length(TSDS_DATA_LOCAL) > 54
    fprintf('TSDS_DATA_LOCAL_WRITE = \n  %s\n',TSDS_DATA_LOCAL_WRITE);
  else
    fprintf('TSDS_DATA_LOCAL_WRITE = %s\n',TSDS_DATA_LOCAL_WRITE);
  end
  fprintf('  (where downloaded or user-created data files will be written)\n');
  clear TSDS_first_load
  fprintf('%s\n',under80);
end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear tmp* 
clear mat_db* under80 LOADPATH*  BASE0 BASE2 fs 
% If function parameter is one of these cleared variables and
% TSDS_GLOBALS is called % the passed variable will be deleted!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

