%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Insert the data set requires 
% (1) creating the data set 
% (2) creating the metadata strucuture and
% (3) using ts_insert to put the data into your TSDS data set.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% (1) Create the data set
Year_o = 1999; % Set first year of data
Year_f = 2000; % Set last day of data
V      = [1:24*number_days(Year_o,Year_f)]';  % Create artificial data

% (2) Create the metadata.  The following calls the .m file that creates the
% metadata structure ATTR.  You can edit this file with a text editor.
tsds_create_meta; 
 
% (3) Put data in your TSDS data set.  The following inserts the data set
% into the data base with file name TestTimeSeries and remove any file with
% name containing *TestTimeSeries* (the 'clean' option does this).
ts_insert(ATTR,V,'TestTimeSeries','clean');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Check that data was inserted properly.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% TestTimeSeries should appear if you now call ts_list
ts_list(ATTR.Name)

% Now compare data that was just inserted to the data base with what TS_GET
% returns
[I,VV] = ts_get(ATTR.Name);

if (sum(VV-V) ~= 0)
  fprintf(['tsds_create: Extracted series does not match'...
	   ' inserted series.\n']);
  error(' ');
else
  fprintf('\n\ntsds_create:  Success! Created first file!\n\n\n');  
  fprintf('Data set is stored in a file in directory %s\n', ...
	  TSDS_DATA_LOCAL_WRITE)
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
