%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Creates attribute structure for the TSDS data set.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
TSDS_GLOBALS; % Load global TSDS variables

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Example 1: Create a time series with 24 points per day and spanning 2 years.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ATTR          = ts_attr; % Returns the TSDS attribute template.  Type
                         % ts_attr at the command line to see what is
                         % returned. 

ATTR.Name     = 'Data set TSDS from documentation';  % The data set name
ATTR.Note     = ['Data on 1 hour time grid starting on first hour of '...
    		    'Year_o and  ending on last hour of Year_f'];
ATTR.Unit     = 'nT';
ATTR.TimeUnit = 'hour';  % The time unit
ATTR.Dt       = '1';     % delta t between time steps (must be uniform)
ATTR.PPD      = '24';    % Points Per Day
ATTR.Warning  = 'This is a test data set'; 
ATTR.Year_o   = num2str(Year_o);        % All (execpt size) attributes 
ATTR.Year_f   = num2str(Year_f);        % are strings
ATTR.FLAG     = TSDS_FLAG;              % Flag value for missing
                                        % or bad data
					
ATTR.Version  = '0';                    % TSDS uses integers for
                                        % versions.
ATTR.Size     = size(V);

% Where to go for more information on the data set (also the directory where
% the original data is stored)
ATTR.README    = ['tsds/demo/tsds_create.m'];

% Important for when we want to update the data set!
ATTR.Source   = 'http://www.location.of.data/source';

% Acknowledgement information
ATTR.Acknowledgement = [' ']; 
ATTR.CreatedWith     = ['ts_insert_demo.m'];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
