/*
    WebStats Scripts
 
    Original Version Copyright(c) 2006, Jeff Schiller (http://blog.codedread.com/).
    
    Several enhancements provided by Johan Sundstrom (http://ecmanaut.blogspot.com/)
    and the full article about how this came to be is available at
    http://ecmanaut.blogspot.com/2006/01/svg-challenge-taken.html
    
    BIZARRE NOTE: ASV's scripting engine does not like the way Johan's last name is 
    spelled so I have modified it.

    Permission is hereby granted to use and/or modify this software as long as 
    credits are given to the creators listed above.

    Reference: http://www.rad-e8.com/log/i/0912diag_ua.jpg

    Enhancements since the last iteration:
    
    - Added all of Johan's enhancements (including the CSS, the better text, more labels)
    - Made the legend draggable (bug: in IE after you drag, it requires 2 clicks to move the horiz cursor)
    - Fixed colour scheme for all browsers
    - Made the horizontal cursor draggable, pie chart updates as you drag (slowly at this time)
    - Moved time-based chart drawing to client side
    - Made grippies part of a scrollbar that allows panning (slick but slow)
*/

// for some reason, Opera seems not to apply CSS styles to created nodes. :-(
function forceStyles( attr )
{
    var all = attr["id"]+' '+attr["class"], id, type, styles, selector = /\S+/g;
    while( id = selector.exec( all ) )
    {
        if( (styles = css[id[0]]) )
        for( type in styles ) // (attr[type] ? attr[type]+';' : '' ) + 
            attr[type] = styles[type];
    }
  return attr;
}

function $( id )
{
  return document.getElementById( id );
}

function make( name, attr, text, url )
{
    var node = document.createElementNS( ns.svg, name );
    var name = '', atns;
    if(attr) {
        attr = forceStyles( attr );
        for( var i in attr )
        {
            atns = (/^(.*):/.exec( i )||[,null])[1];
            node.setAttributeNS( atns && ns[atns], i, attr[i] );
        }
    }
    if( text )
    {
        text = document.createTextNode( text );
        node.appendChild( text );
        if( url )
        {
            var a = make( 'a', { 'xlink:href':url } );
            a.appendChild( node );
            return a;
        }
    }
    return node;
}

function removeChildren( node )
{
  while( node.hasChildNodes() )
  node.removeChild( node.firstChild );
}

function cssname( name )
{
  return name.replace( /[. /]/g, '' );
}

function draggingLegend() {
    bDraggingLegend = true;
}

// SVG file will have the raw data in:
// - NumDataPoints is the number of data points
// - BrowserData maps series names to arrays of values
// - Colors maps series names to RGB color strings
function init() 
{
    var svgnode = $("svgsvg");
    if(svgnode) {
        svgnode.addEventListener("click", clickGraph, false);
        svgnode.addEventListener("keydown", getKey, false);
        
        var legend = $("browser_legend");
        if(legend) {
            legend.addEventListener("mousedown", draggingLegend, false);
        }
        
        // set up a listener for the horizontal cursor being dragged
        addDragEventListener("dragstart", dragStart);
        addDragEventListener("dragmove", dragMove);
        addDragEventListener("dragdrop", dragDrop);

        createTimeBasedChart();
        
        // set up pie chart elements
//        BrowserPieElements = new PieElementsContainer();

//        drawPieChart();
        drawLegend();
        showLegend();
    }
}
