function X = is_unix()
%IS_UNIX Returns 0 if called from Windows version of Octave
%
%   value = IS_UNIX
%
%   For Octave, if the string "cygdrive" appears in what is returned by PWD,
%   concludes that you are running the Windows version of Octave and returns
%   0.
%  
%   For Matlab, if the the second character returned by PWD is a :,
%   concludes that IS_UNIX=0.
%
%   See also IS_OCTAVE.

% R.S. Weigel 04/11/2004.
  
CURR_PATH = pwd;
if (is_octave)
  if (length(CURR_PATH) > 9)
    if (CURR_PATH(2:9) == 'cygdrive')
      X   = 0;
    else
      X   = 1;
    end
  else
    X   = 1;
  end
else
  if (CURR_PATH(2) == ':') 
    X = 0;
  else
    X = 1;
  end
end
  