function [V,ATTR] = Akebono_extract(DATA_DIR)

TSDS_GLOBALS;

for yr = 1989:2000

  i              = yr-1988;
  F              = load(sprintf('%s/FluxVsL.%d.dat',DATA_DIR,yr));
  tmp_2p5_MeV{i} = reshape(F(2:end,1),days_per_year(yr),100);
  tmp_p95_MeV{i} = reshape(F(2:end,2),days_per_year(yr),100);
  tmp_p30_MeV{i} = reshape(F(2:end,3),days_per_year(yr),100);

end

V{1} = cat(1,tmp_2p5_MeV{:});
V{2} = cat(1,tmp_p95_MeV{:});
V{3} = cat(1,tmp_p30_MeV{:});

V{1} = reflag(V{1},-9.99,NaN);
V{2} = reflag(V{2},-9.99,NaN);
V{3} = reflag(V{3},-9.99,NaN);

Attr = ts_attr;

Attr.Year_o = '1989';
Attr.Year_f = '2000';
Attr.Size   = size(V{1});

ATTR = Attr;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
