function [V,ATTR] = Augsburg_ULF_extract(DATADIR)


% Get global variables and path setting
TSDS_GLOBALS;

com0 = sprintf('mkdir -p %s/augsburg',TSDS_DATA_TEMP);

com1 = sprintf('cd %s; %s %s/Augsburg_ULF_extract.pl %s/augsburg',...
	      DATADIR,TSDS_PERL,TSDS_PERLFILES,TSDS_DATA_TEMP);

com2 = system('rm -rf %s/augsburg',TSDS_DATA_TEMP);

system(com0);
system(com1);
system(com2);

fname    = [TSDS_DATA_TEMP,'/augsburg/Augsburg_ULF_extract.dat'];
temp_X   = load(fname);

time     = temp_X(:,1:4);
temp_X   = temp_X(:,5:end);

% Sort the data file to have increasing time
HN       = 24*(-1+day_number(time(:,1:3))) + time(:,4);
[HN,I]   = sort(HN);
temp_X   = temp_X(I,:);
time     = time(I,:);

Year_o   = time(1,1);
Year_f   = time(end,1);

X        = repmat(TSDS_FLAG,number_days(Year_o,Year_f),size(temp_X,2));

HN       = HN - HN(1) + 1;
X(HN,:)  = temp_X;

if ( 24*number_days(Year_o,Year_f) ~= size(X,1) )
  error('Wrong number of data points. Aborting.');
end

for i = 1:size(temp_X,2)
  Attr.Year_o = num2str(Year_o);
  Attr.Year_f = num2str(Year_f);
  Attr.Size   = size(X(:,i));
  V{i}        = reflag(X(:,i),99999,NaN);
  ATTR{i}     = Attr;
end
