if (is_octave == 1)
  warning('This test requires Matlab (needs CDFREAD)');
  break;
end

warning('COHOWeb_test: Need to hard wire values for tests in CDAWeb_test');
break

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
NAMES = {'Pioneer 10 Br (COHOWeb 1-hour merged)'};
fname = 'pioneer10.cdf';
com = sprintf(['%s %s/nssdcftp.gsfc.nasa.gov/spacecraft_data/pioneer'...
	       '/pioneer10/merged/%s'],...
	      TSDS_WGET,TSDS_DATA_ORIG_HTTP,fname);
system(com);

I = cdfinfo(fname);
Z = cdfread(fname,'VARIABLES','BR_RTN');
t = cdfread(fname,'VARIABLES','Epoch');

z = cat(1,cat(2,Z{:})');

D = ts_slice(NAMES,[1972 3 3],[1972 3 3]);

if( z(9) ~= D(9) )
  error('Error for CDAWeb_test test 1.1\n');
else
  fprintf('\nSuccess for CDAWeb_test test 1.1\n\n');
end

D = ts_slice(NAMES,[1973 4 23],[1973 4 23]);

if( z(10000) ~= D(16,:) )
  error('Error for CDAWeb_test test 1.2\n');
else
  fprintf('\nSuccess for CDAWeb_test test 1.2\n\n');
end

NAMES = {'Pioneer 10 Longitude (COHOWeb 1-hour merged)'};

Z = cdfread(fname,'VARIABLES','Long_HGI');
t = cdfread(fname,'VARIABLES','Epoch');

z = cat(1,cat(2,Z{:})');

D = ts_slice(NAMES,[1972 3 3],[1972 3 3]);

if( z(9) ~= D(9) )
  error('Error for CDAWeb_test test 1.3\n');
else
  fprintf('\nSuccess for CDAWeb_test test 1.3\n\n');
end

D = ts_slice(NAMES,[1973 4 23],[1973 4 23]);

if( z(10000) ~= D(16,:) )
  error('Error for CDAWeb_test test 1.4\n');
else
  fprintf('\nSuccess for CDAWeb_test test 1.4\n\n');
end

rm(fname);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
NAMES = {'Voyager 2 Br (COHOWeb 1-hour merged)'};
fname = 'voyager2.cdf';
com = sprintf(['%s %s/nssdcftp.gsfc.nasa.gov/spacecraft_data/voyager'...
	       '/voyager2/merged/%s'],...
	      TSDS_WGET,TSDS_DATA_ORIG_HTTP,fname);
system(com);

I = cdfinfo(fname);
Z = cdfread(fname,'VARIABLES','BR_RTN');
t = cdfread(fname,'VARIABLES','Epoch');

z = cat(1,cat(2,Z{:})');

D = ts_slice(NAMES,[1977 8 24],[1977 8 24]);

if( z(8) ~= D(8,:) )
  error('Error for CDAWeb_test test 2.1\n');
else
  fprintf('\nSuccess for CDAWeb_test test 2.1\n\n');
end

D = ts_slice(NAMES,[1989 1 19],[1989 1 19]);

if( z(100000) ~= D(16,:) )
  error('Error for CDAWeb_test test 2.2\n');
else
  fprintf('\nSuccess for CDAWeb_test test 2.2\n\n');
end

rm(fname);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

