%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This code has been tested on Fedora Core using Octave 2.1.50.
% R.S. Weigel 03/01/2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;

TSDS_GLOBALS;

make_DMI_1_hour_startup;

basename     = '1_hour_magnetometer_data_mods';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('Fixing SJG\n');
% D (in orig. files) has some elements greater than 9999.  Remove them.
[Attr,x]     = uniform_time_series_get('SJG D (DMI 1-hour,v0)');

%plot(reflag(x,TSDS_FLAG,0),'r');hold on;

Attr.Version = '1';
Attr.Warning = ['Version 1. Replaced values in Version 0 above 99999 with' ...
		' 99999.'];
Attr.Name    = 'SJG D (DMI 1-hour,v1)';
x            = reflag(x,TSDS_FLAG,CISM_DX_FLAG,0);

ATTR{1}      = Attr;
DATA{1}      = x;

% D (in orig. files) has some elements greater than 9999.  Remove them.
[Attr,x]     = uniform_time_series_get('SJG H (DMI 1-hour,v0)');

%plot(reflag(x,TSDS_FLAG,0),'r');hold on;

Attr.Version = '1';
Attr.Warning = ['Version 1. Replaced values in Version 0 above 99999 with' ...
		' 99999.'];
Attr.Name    = 'SJG H (DMI 1-hour,v1)';
x            = reflag(x,TSDS_FLAG,CISM_DX_FLAG,0);

ATTR{2}      = Attr;
DATA{2}      = x;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ts_insert(ATTR,DATA,basename,[],'clean')

