function ATTR = ISGI_info(Attr_in,var,version)

TSDS_GLOBALS;  

if (var == 'ae')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:4

Attr{i}.Version  = num2str(version);
Attr{i}          = ts_attr;
Attr{i}.Year_o   = Attr_in{i}.Year_o;
Attr{i}.Year_f   = Attr_in{i}.Year_f;
Attr{i}.Size     = Attr_in{i}.Size;
Attr{i}.PPD      = 24;
Attr{i}.TimeUnit = 'hour';
Attr{i}.Warning  = 'Data are provisional after 1988.';
Attr{i}.README   = ['Data files provided by ISGI were derived from Kyoto '...
                'data sets that must be downloaded manually.  See '...
                'http://www.cetp.ipsl.fr/~isgi/source/indices/Ae/aehv.doc'];

Attr{i}.CreatedWith  = ['ISGI.m'];
Attr{i}.Source       = 'http://www.cetp.ipsl.fr/~isgi/source/indices/Ae/';
Attr{i}.Unit         = 'nT';
end

Attr{1}.Name         = 'AE index (ISGI 1-hour)';
Attr{2}.Name         = 'AL index (ISGI 1-hour)';
Attr{3}.Name         = 'AO index (ISGI 1-hour)';
Attr{4}.Name         = 'AU index (ISGI 1-hour)';

ATTR = Attr;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

if (var == 'aa')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Attr_in.Version = num2str(version);

Attr          = ts_attr;
Attr.Year_o   = Attr_in.Year_o;
Attr.Year_f   = Attr_in.Year_f;
Attr.Size     = Attr_in.Size;
Attr.PPD      = 24;
Attr.TimeUnit = 'hour';

Attr.CreatedWith  = ['ISGI.m'];
Attr.Source       = 'http://www.cetp.ipsl.fr/~isgi/source/indices/aa/';
Attr.Name         = 'aa index (ISGI 3-hour)';
Attr.Unit         = 'nT';
Attr.Note = 'Hourly data obtained by re-sampling 3-hour data';
ATTR = Attr;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if (var == 'am')
Attr_in.Version = num2str(version);

Attr          = ts_attr;
Attr.Year_o   = Attr_in.Year_o;
Attr.Year_f   = Attr_in.Year_f;
Attr.Size     = Attr_in.Size;
Attr.PPD      = 24;
Attr.Dt       = 1;
Attr.TimeUnit = 'hour';

Attr.CreatedWith  = ['ISGI.m'];
Attr.Source       = 'http://www.cetp.ipsl.fr/~isgi/source/indices/am/';
Attr.Acknowledgement = 'See http://www.cetp.ipsl.fr/~isgi/';
Attr.README       = ['See ISGI.m and files in'];
Attr.CreatedWith  = ['ISGI.m'];
Attr.Name         = 'am index (ISGI 3-hour)';
Attr.Unit         = 'nT';
Attr.Note = 'Hourly data obtained by re-sampling 3-hour data';

ATTR = Attr;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if (var == 'qd')
Attr_in{1}.Version = num2str(version);

Attr          = ts_attr;
Attr.Year_o   = Attr_in{1}.Year_o;
Attr.Year_f   = Attr_in{1}.Year_f;
Attr.Size     = Attr_in{1}.Size;
Attr.PPD      = 1;
Attr.TimeUnit = 'day';

Attr.Name    = 'geomagnetically quiet days (ISGI 1-day)';
Attr.README  = ...
    ['See http://www.cetp.ipsl.fr/~isgi/source/indices/QuietDays/qd.doc.' ...
     ' Quiet days are labeled with 1, -1, or -2.  A selected' ...
     ' quiet day  is considered not really quiet and is marked' ...
     ' by -1 if Ap greater than 6, or marked by the -2 if Ap' ...
     ' less or equal 6 and either one Kp value greater than 3' ...
     ' or two Kp values greater than 2+.'];

ATTR{1} = Attr;

Attr.Name   = 'geomagnetically quiet days rank (ISGI 1-day)';
Attr.Label  = 'Rank of quiet day in month  (1=quietest,0=not a quiet day)';

ATTR{2}  = Attr;

Attr.Name   = 'geomagnetically disturbed days (ISGI 1-day)';
Attr.Label  = ...
    ['See TSDS_DATA/measurements/original_data/quiet_days/qd.doc.' ...
     'Second dimension is (if disturbed) and (rank in month). ' ...
     'Disturbed days are labeled with 1 or -1.  A selected ' ...
     'disturbed day is considered not really disturbed and ' ...
     'marked by a -1 if Ap less than 20.'];

ATTR{3}  = Attr;

Attr.Name   = 'geomagnetically disturbed days rank (ISGI 1-day)';
Attr.Label  = ...
    'Rank of disturbed day in month (1=most disturbed,0=not disturbed)';

ATTR{4}  = Attr;

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


