function ATTR = Kyoto_Dst_info(Attr_in,version)

Attr        = ts_attr;  

Attr.Year_o = Attr_in{1}.Year_o;
Attr.Year_f = Attr_in{1}.Year_f;
Attr.Size   = Attr_in{1}.Size;

Attr.Source       = '';
Attr.CreatedWith  = ['Kyoto_Dst.m'];
Attr.Name         = 'Dst final index (Kyoto 1-hour)';
Attr.Unit         = 'nT';
Attr.Dt           = 1;
Attr.PPD          = 24;
Attr.TimeUnit     = 'hour';

Attr.Source = 'http://swdcwww.kugi.kyoto-u.ac.jp';
Attr.Acknowledgement = 'See http://swdcwww.kugi.kyoto-u.ac.jp/';
Attr.README = ['A more recent version of this time series exists named: '...
	       'Dst final index (Kyoto 1-hour, v1)'];

if (version == 1)
  
  Attr.Name = 'Dst final index (Kyoto 1-hour, v1)';
  Attr.Version = '1';
  Attr.Note = 'Same as version zero except final data from 1998-2001 added';
  ATTR{1} = Attr;

  return;

end

ATTR{1} = Attr;

%%%%

Attr        = ts_attr;  

Attr.Year_o = Attr_in{2}.Year_o;
Attr.Year_f = Attr_in{2}.Year_f;
Attr.Size   = Attr_in{2}.Size;

Attr.Source       = '';
Attr.CreatedWith  = ['Kyoto_Dst.m'];
Attr.Name         = 'Dst provisional index (Kyoto 1-hour)';
Attr.Unit         = 'nT';
Attr.Dt           = 1;
Attr.PPD          = 24;
Attr.TimeUnit     = 'hour';

Attr.Warning = ['Final (non-provisional data for this time series now '...
		'exists see: Dst final index (Kyoto 1-hour, s1).'];

Attr.Source = 'http://swdcwww.kugi.kyoto-u.ac.jp';
Attr.Acknowledgement = 'See http://swdcwww.kugi.kyoto-u.ac.jp/';
Attr.README = 'See http://swdcwww.kugi.kyoto-u.ac.jp';

ATTR{2} = Attr;
