function [V,ATTR] = ModelWeb_extract()
  
% Get global variables and path setting
TSDS_GLOBALS;

debug = 0;
addpath('../../deps/octave-rsw/xform_functions');
addpath('.');

Year_o = 1963;
Year_f = 2007;

HOY  = [0:-1+24*number_days(Year_o,Year_f)]';
HOY  = [HOY ; HOY(end)+1]; % Add one more value

ut  = ymd(HOY,Year_o,'hour');
Tc1 = sptransform(4,5,ut,[1 0 0],debug);
Tc2 = sptransform(4,5,ut,[0 1 0],debug);
Tc3 = sptransform(4,5,ut,[0 0 1],debug);

T_GSE2GSM = [Tc1, Tc2, Tc3];

% Value at center of hour is average of each row and the following row.
V{1} = (T_GSE2GSM(1:end-1,:) + T_GSE2GSM(2:end,:))*0.5;

ATTR{1}.Year_o = num2str(Year_o);
ATTR{1}.Year_f = num2str(Year_f);
ATTR{1}.Size   = size(V{1});

if (0)
  V_GSM = [0 1 0];
  HOY_o = 1;
  V_GSE = reshape(T_GSM2GSE(HOY_o,:),3,3)*V_GSM';
end

