%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This code has been tested in Matlab 6.5 on RHEL 3.0
%
% Need to add reflag step! 
%
% Data are extracted from files in 
% measurements/original_data/SPIDR/Ground_Magnetometer/zipfiles
%
% Files generated
% TSDS_DATA-Full/measurements/original_data/Ground_Magnetometer/matfiles/*.mat
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% R.S. Weigel 04/03/2004
clear;

% Get global variables and path setting
TSDS_GLOBALS;

mag_data_info

DATA_DIR      = [TSDS_DATA_LOCAL_WRITE,...
		 'measurements/original_data/SPIDR/'];
SAVE_LOCATION = [TSDS_DATA_LOCAL_WRITE,...
		 'measurements/uniform_time_series/Ground_Magnetometers/SPIDR/'];
DEMO_LOCATION = [TSDS_DATA_LOCAL_WRITE,'demo_data/'];
end_year      = 2002;

Dmat    = [TSDS_DATA_LOCAL_WRITE,...
	   'measurements/original_data/SPIDR/Ground_Magnetometer/matfiles/'];
Dzip    = [TSDS_DATA_LOCAL_WRITE,...
	   'measurements/original_data/SPIDR/Ground_Magnetometer/zipfiles/'];


cwd = pwd;
cd(Dzip);

if (1)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Unzip all zip files in the current directory
DD        = readdir('.');
curr      = pwd;
FILE_EXT  = 'zip';
DIRECTORY = '.';
Dir       = readdir(DIRECTORY);

for i = 1:size(Dir,1)
  fname = deblank(Dir(i,:));
  L     = length(fname);
  if (L > 3)
    I = strmatch(FILE_EXT,fname(L-length(FILE_EXT)+1:L));
    if (~isempty(I))
      if (is_unix)
	unzipcom  = sprintf('!unzip -o %s',fname);
      else
	unzipcom  = sprintf('!unzip -o %s',fname);  
      end
      eval(unzipcom);
    end
  end
end

% Convert .txt files to .dat format
system([TSDS_PERL_PATH,' ',CISM_DX_ROOT,'perlfiles/spidr2dat.pl']);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Split .dat files by year and component
FILE_EXT  = 'dat';
DIRECTORY = '.';
Dir       = readdir(DIRECTORY);

for i = 1:size(Dir,1)
  fname = deblank(Dir(i,:));
  L     = length(fname);
  if (L > 3)
    I = strmatch(FILE_EXT,fname(L-length(FILE_EXT)+1:L));

    if (~isempty(I))
      com1  = sprintf('temp = load(''%s.dat'');',fname(1:L-4));
      eval(com1);

      COMP  = fname(5);
      yr_o  = temp(1,1);
      yr_f  = temp(end,1);
      Tgrid = [1:24*60*number_days(yr_o,yr_f)]';
      T     = 24*60*day_number(temp(:,1:3)) + 60*temp(:,4) + temp(:,5);
      T     = T-T(1)+1;
      A     = NaN*ones(length(Tgrid),1);
      A(T)  = temp(:,7);
      
      b = 0;
      for i=yr_o:yr_f
	a    = 1 + b;
	b    = a + 24*60*number_days(i,i) - 1;
	ZZ   = A(a:b);
	com  = sprintf('%s = ZZ;',COMP);
	eval(com);
	com  = sprintf('save %s%s_%s_%d.mat %s',...
		       SAVE_LOCATION,lower(fname(1:3)),COMP,i,COMP);
	eval(com);
	fprintf('Writing %s_%s_%d.mat\n',lower(fname(1:3)),COMP,i)      
      end
      
    end
    clear temp;
    
  end
end

rm('*.txt');
rm('*.dat');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
cd(cwd);


