function ATTR = NSGC_F10_7_info(Attr_in,var,version)

Attr          = ts_attr;
Attr.Year_o   = Attr_in.Year_o;
Attr.Year_f   = Attr_in.Year_f;
Attr.Size     = Attr_in.Size;
Attr.PPD      = 1;
Attr.TimeUnit = 'hour';

if (var == 'obs')
  Attr.Name = 'F10.7 Observed (NGDC)';
end
if (var == 'adj')
  Attr.Name = 'F10.7 Adjusted (NGDC)';
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Common attributes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
Attr.Version      = num2str(version);
Attr.CreatedWith  = ['NGDC_F10_7_1.m'];

Attr.Acknowledgement = 'See README';

Attr.README = ...
    'ftp://ftp.ngdc.noaa.gov/STP/SOLAR_DATA/SOLAR_RADIO/FLUX/read.m';

Attr.Unit   = '10 to the -22 Joules/second/square meter/Hertz';
Attr.README = ...
    ' ftp://ftp.ngdc.noaa.gov/STP/SOLAR_DATA/SOLAR_RADIO/FLUX/read.me.';

Attr.Source = ...
    'ftp://ftp.ngdc.noaa.gov/STP/SOLAR_DATA/SOLAR_RADIO/FLUX/';

ATTR = Attr;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

