function [V,ATTR] = NSSDC_mpause_cross_extract(DATA_DIR)

TSDS_GLOBALS; % Get global variables and path setting

[jnk,SAT,ATTR_NAMES] = NSSDC_mpause_cross_info([]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Load the data after transforming original data to a matrix data file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
k = 1;
TMPDIR = [TSDS_DATA_TEMP,'/mpause'];

com = sprintf(['cd %s ; rm -f %s/mpause/* ; mkdir -p %s/mpause ;'...
		 '%s %s/NSSDC_mpause_cross_extract.pl %s %s'],...
		DATA_DIR,TMPDIR,TMPDIR,TSDS_PERL,...
		TSDS_PERLFILES,'allsats_allyrs.dat',TMPDIR);
system(com);

X = load(sprintf('%s/allsats_allyrs.dat',TMPDIR));

MN  = X(:,2)*1440*days_per_year(X(:,2)) + X(:,3)*1440 + X(:,4)*60 + X(:,5);

[MNu,I] = unique(MN); clear MN;
X = X(I,:); % Remove repeats (repeats are all from same s/c.  There are
            % no minutes where two satellites are both crossing.

% Look at repeats	      
% Ir  = repeats(MN);
% SNr = X(Ir,1);
% X(Ir,1:4)
% grep -H "1971 362  5" *.txt | sort -u > out.txt
% grep -H "1975 353  8" *.txt | sort -u >> out.txt
% grep -H "1994 287 12" *.txt | sort -u >> out.txt

% Year DOY Hour Min
Year = X(:,2);
DOY  = X(:,3);
YMD  = ymd(DOY,Year);

T    = [YMD X(:,4) X(:,5)]; % Year Month Day Hour Min
X    = [X(:,1) X(:,6:end)];

% (Could use time_union2 in way that this loop is not needed, but this
% requires too much memory.)
for j = 1:35

  DATA = X(:,j);

  % Put data on uniform time grid with first point based on data in the
  % interval of UT=[00:00,00:01] on Day 1 in Year_o.
  Var = time_union2([T,DATA],T,NaN,'min');

  Attr.Size   = size(DATA);
  Attr.Year_o = num2str(T(1,1));
  Attr.Year_f = num2str(T(end,1));

  ATTR{k} = Attr;

  fname = sprintf('%s/allsats_%d.mat',TMPDIR,j);
  eval(sprintf('save %s Var Attr',fname));
  V{k}  = fname;
  
  fprintf('Saving %s\n',fname);

  k = k+1;

end

clear X;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
