function [VV,ATTR] = OMNIWeb_extract(DATA_DIR,var)

% Get global variables and path setting
TSDS_GLOBALS;

if (var == '1')
 end_year = 2002;
 basename = 'omni';

 OMNI_FLAG = ...
     [NaN,NaN,NaN,9999,0,0,999,999,999.9,999.9,999.9,999.9,999.9,999.9,...
      999.9,999.9,999.9,999.9,999.9,999.9,999.9,999.9,9999990.,999.9,9999.,...
      999.9,999.9,9999990.,999.9,9999.,999.9,999.9,99,99,999,99999,99999.90,...
      99999.90,9999.99,9999.99,9999.99,9999.99,0];
 
end

if (var == '2')
 end_year = date;
 end_year = str2num(end_year(8:11));
 end_year = 2005;
 basename = 'omni2_';

 OMNI_FLAG = ...
     [NaN,NaN,NaN,9999,0,0,999,999,999.9,999.9,999.9,999.9,999.9,999.9,...
      999.9,999.9,999.9,999.9,999.9,999.9,999.9,999.9,9999999.,999.9,...
      9999.,999.9,999.9,9.999,99.99,9999999.,999.9,9999.,999.9,999.9,...
      9.999,999.99,999.99,999.9,99,999,99999,9999,999999.99,99999.99,...
      99999.99,99999.99,99999.99,99999.99,0];
end

for i = 1963:end_year

  fname = sprintf('%s/%s%d.dat',DATA_DIR,basename,i);
  Y     = load(fname); 

  fprintf('loading %s\n',fname);
  
  yr  = Y(:,1);
  DOY = Y(:,2);
  
  for j = 4:length(OMNI_FLAG)
    % Give all quantites same error flag
    I      = find(Y(:,j) == OMNI_FLAG(j));
    Y(I,j) = NaN;              
  end

  % Add fill for first 305 days of 1963
  if (i == 1963) & (var == '1')
    Y    = [NaN*ones(24*305,size(Y,2)); Y  ];
    yr   = [1963*ones(24*305,1) ; yr   ]; 
    DOY  = [[1:24*305]'         ; DOY  ];
  end

  if (i == 1963)
    X = Y(:,4:end);
  else
    X = [X ; Y(:,4:end)]; clear Y
  end
  
  if ((size(X,1) - 24*number_days(1963,i)) ~= 0)
    error('Problem with number of data points in file');
  end
  
end %for

for i = 1:size(X,2)
  VV{i}        = X(:,i);
  Attr.Year_o = '1963';
  Attr.Year_f = num2str(end_year);
  Attr.Size   = size(X,1);
  ATTR{i}     = Attr;
end


