function ATTR = OMNIWeb_info(Attr_in,var,version)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Attr                  = ts_attr;
Attr.CreatedWith      = ['OMNIWeb.m'];
Attr.Source           = 'ftp://nssdcftp.gsfc.nasa.gov/spacecraft_data/omni';
Attr.Acknowledgement  = ['From omni.txt: Use of these data in publications' ...
		    ' should be accompanied at minimum by acknowledgements'...
		    ' of the National Space Science Data Center.'];

Attr.Size             = Attr_in{1}.Size;
Attr.Year_o           = Attr_in{1}.Year_o;
Attr.Year_f           = Attr_in{1}.Year_f;
Attr.PPD              = 24;
Attr.Dt               = 1;
Attr.README           = sprintf('See omni.txt in %s\n',Attr.Source);

if (var == '1')
  Attr.Warning        = sprintf(['OMNIWeb1 data is depreciated.'...
				' OMNIWeb2 is the current data set.'...
		                ' See nssdc.gsfc.nasa.gov for more '...
		                ' information on the changes.']);
end

Attr.Warning = sprintf(['The OMNIWeb1 and OMNIWeb2 data sets are not'...
		    ' completely static. Slight differences may exist'
		    ' between this' ...
		    ' data and what is currently available from the data' ...
		    ' source %s. '],Attr.Warning);

Attr.Unit             = 'nT';
Attr.CoordinateSystem = 'GSM';
Attr.TimeUnit         = 'hour';
Attr.Version          = version;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (var == '1')
OMNIWeb1_meta

for j = 1:length(NAMES)
  Attr.Name = NAMES{j};
  Attr.Note = ...
      sprintf('See tsds/make_fns/OMNIWeb/omni.txt for more information. %s',...
	       NOTE{j});
  Attr.Unit = UNITS{j};
  Attr.CoordinateSystem = CSYS{j};
  ATTR{j}   = Attr;
end
end

if (var == '2')
OMNIWeb2_meta

for j = 1:length(NAMES)
  Attr.Name = NAMES{j};
  Attr.Note = ...
     sprintf('See tsds/make_fns/OMNIWeb/omni2.txt for more information. %s',...
	     NOTE{j});
  Attr.Unit = UNITS{j};
  Attr.CoordinateSystem = CSYS{j};
  ATTR{j}   = Attr;
end
end