function ATTR = ISGI_info(Attr_in,var,version)

TSDS_GLOBALS;  

version = 0;

if (var == 'mag')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Attr          = ts_attr;
Attr.Version  = num2str(version);
Attr.PPD      = 1440;
Attr.TimeUnit = 'minute';

Attr.CreatedWith  = ['SEC_ACErt.m'];
Attr.Source       = 'ftp://ftp.sec.noaa.govpub/lists/ace';
Attr.Name         = ' ';
Attr.Unit         = 'nT';
Attr.README       = ['Real time data: do not use for scientific purposes.' ...
		    ' Intended for real time model validation use only.']

Attr.Warning      = ['Real time data: do not use for scientific purposes.' ...
		    ' Intended for real time model validation use only.']

ATTR{1} = Attr;
ATTR{1}.Name  = 'ACE real time Bx (SEC)';
ATTR{1}.Year_o   = Attr_in{1}.Year_o;
ATTR{1}.Year_f   = Attr_in{1}.Year_f;
ATTR{1}.Size     = Attr_in{1}.Size;

ATTR{2} = Attr;
ATTR{2}.Name  = 'ACE real time By (SEC)';
ATTR{2}.Year_o   = Attr_in{2}.Year_o;
ATTR{2}.Year_f   = Attr_in{2}.Year_f;
ATTR{2}.Size     = Attr_in{2}.Size;

ATTR{3} = Attr;
ATTR{3}.Name  = 'ACE real time Bz (SEC)';
ATTR{3}.Year_o   = Attr_in{3}.Year_o;
ATTR{3}.Year_f   = Attr_in{3}.Year_f;
ATTR{3}.Size     = Attr_in{3}.Size;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

if (var == 'swe')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Attr          = ts_attr;
Attr.Version  = num2str(version);

Attr.PPD      = 1440;
Attr.TimeUnit = 'minute';

Attr.CreatedWith  = ['SEC_ACErt.m'];
Attr.Source       = 'ftp://ftp.sec.noaa.govpub/lists/ace';
Attr.Name         = ' ';

Attr.README       = ['Real time data: do not use for scientific purposes.' ...
		    ' Intended for real time model validation use only.']
Attr.Warning      = ['Real time data: do not use for scientific purposes.' ...
		    ' Intended for real time model validation use only.']

Attr.CoordinateSystem = ' ';


ATTR{1} = Attr;
ATTR{1}.Name     = 'ACE real time proton density (SEC)';
ATTR{1}.Unit     = 'p/cc';

ATTR{1}.Year_o   = Attr_in{1}.Year_o;
ATTR{1}.Year_f   = Attr_in{1}.Year_f;
ATTR{1}.Size     = Attr_in{1}.Size;


ATTR{2} = Attr;
ATTR{2}.Name     = 'ACE real time bulk speed (SEC)';
ATTR{2}.Unit     = 'km/s';
ATTR{2}.Year_o   = Attr_in{2}.Year_o;
ATTR{2}.Year_f   = Attr_in{2}.Year_f;
ATTR{2}.Size     = Attr_in{2}.Size;

ATTR{3} = Attr;
ATTR{3}.Name     = 'ACE real time ion temperature (SEC)';
ATTR{3}.Unit     = 'K';
ATTR{3}.Year_o   = Attr_in{3}.Year_o;
ATTR{3}.Year_f   = Attr_in{3}.Year_f;
ATTR{3}.Size     = Attr_in{3}.Size;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

