Year_o = 2000;
Year_f = 2005;

[I,Vsw] = ts_get('ACE real time bulk speed (SEC)');
[I,Ni] = ts_get('ACE real time proton density (SEC)');
[I,Ti] = ts_get('ACE real time ion temperature (SEC)');
[I,Bx] = ts_get('ACE real time Bx (SEC)');
[I,By] = ts_get('ACE real time By (SEC)');
[I,Bz] = ts_get('ACE real time Bz (SEC)');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Checks
Nm = 1440*number_days(Year_o,Year_f);
if (length(Vsw) ~= Nm)
  error('Problem with vector length.');
end

% Compare with first three lines of 20000101_ace_swepam_1m.dat
if (max(Ni(1:3)-[3.6 ; 2.5 ; 3.2]) > 0)
  error('Problem with data read.');
end
if (max(Vsw(1:3)-[690.2 ; 686.4 ; 672.9]) > 0)
  error('Problem with data read.');
end
if (max(Ti(1:3)-[3.06e5 ; 3.88e5 ; 2.99e5]) > 0)
  error('Problem with data read.');
end

% Compare with last three lines of 20041231_ace_swepam_1m.dat
a = 1440*number_days(Year_o,2004);
if (max(Ni(a-2:a)-[5.1 ; 5.0 ; 5.6]) > 0)
  error('Problem with data read.');
end
if (max(Vsw(a-2:a)-[415.9 ; 421.1 ; 419.3]) > 0)
  error('Problem with data read.');
end
if (max(Ti(a-2:a)-[1.20e5 ; 1.08e5 ; 1.11e5]) > 0)
  error('Problem with data read.');
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Checks
Nm = 1440*number_days(Year_o,Year_f);
if (length(Bx) ~= Nm)
  error('Problem with vector length.');
end

% Compare with first three lines of 20000101_ace_mag_1m.dat
if (max(Bx(1:3)-[-6.0 ; -7.6 ; -7.5]) > 0)
  error('Problem with data read.');
end
if (max(By(1:3)-[-0.4 ; 4.5 ; 5.4]) > 0)
  error('Problem with data read.');
end
if (max(Bz(1:3)-[5.2 ; 0.5 ; -0.9]) > 0)
  error('Problem with data read.');
end

% Compare with last three lines of 20040325_ace_mag_1m.dat
a = 1440*number_days(Year_o,2003);
a = a + 1440*doy([2004 3 24]);
if (max(Bx(a-2:a)-[-0.7 ; 0.8 ; 0.5]) > 0)
  error('Problem with data read.');
end
if (max(By(a-2:a)-[4.6 ; 5.4 ; 5.7]) > 0)
  error('Problem with data read.');
end
if (max(Bz(a-2:a)-[1.8 ; 3.1 ; 3.1]) > 0)
  error('Problem with data read.');
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf('\nSuccess for all SEC_ACErt tests.\n\n');
