function ATTR = USAF_Ap_info(Attr)

ATTR{1} = ts_attr;  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ATTR{1}.Size = Attr{1}.Size;
ATTR{1}.Year_o = Attr{1}.Year_o;
ATTR{1}.Year_f = Attr{1}.Year_f;
ATTR{1}.Name    = 'Ap index (USAF,v1)';
ATTR{1}.Source  = 'Kent Doggett at SEC';
% Need to write code that extracts this text automatically from README
Attr{1}.README  = ...
['See TSDS_DATA/measurements/original_data/' ...
' ap_7dUSAF.README for discussion of lead time.' ...
' From Kent Doggett: Forecasts of Estimated Ap index are integer' ...
' forecasts of the observed daily (24 hour) geomagnetic' ...
' Ap index estimated by the US Air Force and are a' ...
' joint forecast product issued by the USAF and NOAA' ...
' Space Environment Center.  Forecast lead times range' ...
' from 1-day to 7-days.  Verification of these forecasts' ...
' is traditionally done by comparing them to the USAF' ...
' daily estimate of the official Ap index.' ...
' The USAF  estimated Ap index is a real-time estimate of the official' ...
' Gttingen Ap values using ground-based magnetometers  at Meanook,' ...
' Canada; Sitka, Alaska; Glenlea, Canada; Saint Johns, Canada;  Ottawa,' ...
' Canada; Newport, Washington; Fredericksburg, Virginia; Boulder,' ...
' Colorado; and Fresno, California.  A comparison of the USAF estimated' ...
' Ap  to the Gttingen Ap can be found in Gehred, P.A., et al.: 1995, A' ...
' Comparison of USAF Ap Indices to Gttingen  Indices, NOAA Technical' ...
' Memorandum, ERL SEL-88'];


for i = 1:7
  ATTR{1+i} = ts_attr;  
  ATTR{1+i}.Size   = Attr{1+i}.Size;
  ATTR{1+i}.Year_o = Attr{1+i}.Year_o;
  ATTR{1+i}.Year_f = Attr{1+i}.Year_f;
  ATTR{1+i}.Name = sprintf('Ap index %d-day lead time prediction (USAF,v1)',i);
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ATTR{9} = ts_attr;

ATTR{9}.Size   = Attr{9}.Size;
ATTR{9}.Year_o = Attr{9}.Year_o;
ATTR{9}.Year_f = Attr{9}.Year_f;

ATTR{9}.Name     = 'Ap index (USAF,v0,Depreciated)';
ATTR{9}.Source   = 'Kent Doggett at SEC';
ATTR{9}.README   = ['Use version 1 instead.  Data obtained by Bob Weigel' ...
		    ' from Bob McPherron via. Kent Doggett at SEC.' ...
		    ' This data file was used in McPherron''s 1998 and '...
		    ' 1999 Ap prediction papers.'];

ATTR{10}      = ATTR{9};
ATTR{11}      = ATTR{9};
ATTR{12}      = ATTR{9};

ATTR{10}.Name = 'Ap index 1-day lead time prediction (USAF,v0,Depreciated)';
ATTR{11}.Name = 'Ap index 2-day lead time prediction (USAF,v0,Depreciated)';
ATTR{12}.Name = 'Ap index 3-day lead time prediction (USAF,v0,Depreciated)';

