% First datapoint is 07/01/1998 00:00. (are the data based on measurements
% taken between 00:00-00:59 or between 23:01:00:00?).  Checking with plots
% on SPIDR shows it is the former.  Last datapoint is 12/31/2000 23:00.
% There are seven missing days in this data set.  Fill in with FLAGs.

TSDS_GLOBALS;

SAVE_LOCATION = [TSDS_DATA_LOCAL_WRITE,'measurements/uniform_time_series/matfiles/'];
DATA_LOCATION = [TSDS_DATA_LOCAL_WRITE,...
		 'measurements/original_data/SPIDR/GOES_10/'];

fstr   = sprintf('%sdata.txt',DATA_LOCATION);
FLAG   = 99999;

REGEXP = '=~ s/^([0-9])(.*) (.*) (.*)/$1$2/';
[I,A]  = perlop(fstr,REGEXP,[],[],'file');
REGEXP = '=~ s/([0-9])-/$1 /g';
[I,X]  = perlop(A,REGEXP);
REGEXP = '=~ s/\"/ /g';
[I,X]  = perlop(X,REGEXP);

T      = X(:,1:4);
B      = X(:,5);
I      = find(B>1e10);
B(I)   = FLAG;
B      = reshape(B,size(B,1)/4,4);
T      = datenum(T(:,1),T(:,2),T(:,3),T(:,4),0,0);
To     = datenum(1998,1,1,0,0,0);
TI     = round(24*(T - To(1)) + 1);
TI     = reshape(TI,size(TI,1)/4,4);

He           = FLAG*ones(24*number_days(1998,2000),1);
He(TI(:,1))  = B(:,1);           

Hn           = FLAG*ones(24*number_days(1998,2000),1);
Hn(TI(:,2))  = B(:,2);           

Hp           = FLAG*ones(24*number_days(1998,2000),1);
Hp(TI(:,3))  = B(:,3);           

Ht           = FLAG*ones(24*number_days(1998,2000),1);
Ht(TI(:,4))  = B(:,4);           

%Check data points at 7/1/1998
a            = 24*doy(1998,6,30) + 1;
%a            = [a:a+10];
[He(a) Hn(a) Hp(a) Ht(a)]
system(sprintf('grep "1998-07-01 00" %sdata.txt',DATA_LOCATION));

%Check data points at 9/1/1999
b            = doy(1999,8,31) + number_days(1998);
b            = 24*b + 1;
%b            = [b:b+10];
[He(b) Hn(b) Hp(b) Ht(b)]
format long
system(sprintf('grep "1999-09-01 00" %sdata.txt',DATA_LOCATION));
format

com = sprintf('save %sSPIDR_GOES_10_He_Hn_Hp_Ht_1_hour_1998_2000.mat He Hn Hp Ht',...
	      SAVE_LOCATION);
eval(com);
