#!/usr/bin/perl
# Usage: CSSDP_extract.pl TMPDIR DATADIR
# 

# R.S. Weigel, 03/10/2005

use File::Find;
use Cwd;

$TMPDIR  = $ARGV[0];
$DATADIR = $ARGV[1];

if (0) {
if (-d $TMPDIR) {
    system('rm -rf $TMPDIR');
    print "CHARISMA_extract.pl: rm -rf $TMPDIR";
} else {
    system('mkdir $TMPDIR');
    print "CHARISMA_extract.pl: mkdir $TMPDIR";
}
}

@directory0 = ($TMPDIR);
@directory = ($DATADIR);

#open(ER_LOG,">>$ARGV[0]/CSSDP_extract.log");
find(\&wanted, @directory);
#close(ER_LOG);

sub wanted0 {

    if ($_ =~ m/\.tar\.gz/i){
	system("cd $TMPDIR ; tar zxf $DATADIR/$_\n");
	print "CHARISMA_extract.pl: cd $TMPDIR ; tar zxf $DATADIR/$_\n";

	find(\&wanted, @directory);
	
	system("rm -f $TMPDIR/*.MAG");    

	system("cd $TMPDIR ; ls -lh *X.dat\n");

    }

}

sub wanted {

    $k = 1;
    $k_bad = 0;
    $nX = 0;
    $nY = 0;
    $nZ = 0;
    $nF = 0;
    $error_century_digit = 0;
    
#    if ($_ =~ m/RANK.*\.MAG/i){
    if ($_ =~ m/\.MAG/i){

	print "CHARISMA_extract.pl: Reading $_ and concatenating ...\n";

	open(DATA_in,"$_");

	$DATA_OUT_X = $_;
	$DATA_OUT_X =~ s/[0-9]*([A-Z]*)\.MAG/$ARGV[0]\/$1\_X\.dat/;
#	print "\nOpening $DATA_OUT_X\n";
	
	$DATA_OUT_Y = $_;
	$DATA_OUT_Y =~ s/[0-9]*([A-Z]*)\.MAG/$ARGV[0]\/$1\_Y\.dat/;
#	print "\nOpening $DATA_OUT_Y\n";
	
	$DATA_OUT_Z = $_;
	$DATA_OUT_Z =~ s/[0-9]*([A-Z]*)\.MAG/$ARGV[0]\/$1\_Z\.dat/;
#	print "\nOpening $DATA_OUT_Z\n";

	open(DATA_out_X,">>$DATA_OUT_X");
	open(DATA_out_Y,">>$DATA_OUT_Y");
	open(DATA_out_Z,">>$DATA_OUT_Z");
	
	$line_no = 1;
	$L0s = 0;
	$k_L0 = 0;
	$L1s = 0;
	$k_L1 = 0;
	$L2s = 0;
	$k_L2 = 0;
	
	while ($line1 = <DATA_in>) {
	    if ($line1 =~ m/^[0-9]/) {

		$YRp = $YR; # p = previous
		$MOp = $MO;
		$DYp = $DY;
		$HRp = $HR;
		$MNp = $MN;
		$SCp = $SC;

		$YR = substr($line1,0,4);
		$MO = substr($line1,4,2);
		$DY = substr($line1,6,2);
		$HR = substr($line1,8,2);
		$MN = substr($line1,10,2);
		$SC = substr($line1,12,2);

		$DATA = substr($line1,14,100);

		$Line[0] = substr($line1,15,9);
		$Line[1] = substr($line1,25,9);
		$Line[2] = substr($line1,35,9);

		# If data field does not have a number, replace
		# contents with FLAG.  (One non-number that shows up
		# is "?".)
		if ($Line[0] !~ /[0-9]/) { $Line[0] = 99999.999}
		if ($Line[1] !~ /[0-9]/) { $Line[1] = 99999.999}
		if ($Line[2] !~ /[0-9]/) { $Line[2] = 99999.999}

		# For data lines with multiple numbers
		if ($Line[0] =~ /\..*\./) { $Line[0] = 99999.999}
		if ($Line[1] =~ /\..*\./) { $Line[1] = 99999.999}
		if ($Line[2] =~ /\..*\./) { $Line[1] = 99999.999}

		# Replace .992 flag with .999
		$Line[0] =~ s/99999.992/99999.999/;
		$Line[1] =~ s/99999.992/99999.999/;
		$Line[2] =~ s/99999.992/99999.999/;

		$L0p = $L0; # p = previous
		$L1p = $L1;
		$L2p = $L2; 
		$L0 = $Line[0];
		$L1 = $Line[1];
		$L2 = $Line[2];

		# Determine if minute value has changed
		if ( ($YRp == $YR) & ($MOp == $MO) & ($DYp == $DY) 
		     & ($HRp == $HR) & ($MNp == $MN) ) {
		    $new_min = 0;
		} elsif ($line_no == 1) {
		    $new_min = 0;
		} else {
		    $new_min = 1;
		}

		if ( ($new_min == 1) ) {
		    ave_and_print();

		    if ($L0 != 99999.999) {$k_L0 = 1; $L0s = $L0} 
		    else {$k_L0 = 0; $L0s = 0}
		    if ($L1 != 99999.999) {$k_L1 = 1; $L1s = $L1} 
		    else {$k_L1 = 0; $L1s = 0}
		    if ($L2 != 99999.999) {$k_L2 = 1; $L2s = $L2} 
		    else {$k_L2 = 0; $L2s = 0}

#		    print "$YR $MO $DY $HR $MN $SC $k_L0 $L0\n";
		}

		if ($new_min == 0) {
		    if ($L0 != 99999.999) {
			$L0s  = $L0 + $L0s; # s = sum
			$k_L0 = $k_L0+1;
#			print "$YR $MO $DY $HR $MN $SC $k_L0 $L0\n";
		    }
		    if ($L1 != 99999.999) {
			$L1s  = $L1 + $L1s; # s = sum
			$k_L1 = $k_L1+1;
		    }
		    if ($L2 != 99999.999) {
			$L2s  = $L2 + $L2s; # s = sum
			$k_L2 = $k_L2+1;
		    }
		}

		$line_no = $line_no + 1;

	    }


	}

	ave_and_print();

	close(DATA_out_X);
	close(DATA_out_Y);
	close(DATA_out_Z);
	close(DATA_in);
	
    }
}

sub ave_and_print {

    # Print last line
    if ($k_L0>0) {$L0s=$L0s/$k_L0; $L0s=sprintf("%.3f",$L0s);}
    if ($k_L1>0) {$L1s=$L1s/$k_L1; $L1s=sprintf("%.3f",$L1s);}
    if ($k_L2>0) {$L2s=$L2s/$k_L2; $L2s=sprintf("%.3f",$L2s);}
    if ($k_L0==0) {$L0s=99999.999;}
    if ($k_L1==0) {$L1s=99999.999;}
    if ($k_L2==0) {$L2s=99999.999;}
    
#    print "$YRp $MOp $DYp $HRp $MNp n=$k_L0 ave=$L0s\n";
    
    $line = "$YRp $MOp $DYp $HRp $MNp $L0s\n";
    print DATA_out_X $line;
    $line = "$YRp $MOp $DYp $HRp $MNp $L1s\n";
    print DATA_out_Y $line;
    $line = "$YRp $MOp $DYp $HRp $MNp $L2s\n";
    print DATA_out_Z $line;

}
