#!/usr/bin/perl
# Usage: FMI_1_min_unwrap.pl DIR
#
# The Expect program that downloads the data from fmi wraps the lines.
# This program opens all files in the current directory starting with
# 19 or 20 and "un-linewraps" the files. 
#
# This program assumes that that the expect program wrapped each line
# into seven lines.  If this changes, this program will fail and need
# to be edited.  <--- This has been fixed.

$k = 0;
$N = 0;
$z = 0;

system("rm -f *.txt");

$dirname = './';

print "FMI_1_min_unwrap.pl: Unwrapping files into $ARGV[0]\n";

opendir(DIR, $dirname) or die "can't opendir $dirname: $!";

while (defined($file = readdir(DIR))) {

    if ($file =~ /19|20/) {
	if ($file !~ /col2|log/) {
	    open(INFILE,"$file");

	    ##################################################
	    # Counts number of lines wrapped
	    while ($k == 0)  {
		$firstline = <INFILE>;
		if ($firstline =~ m/[A-Z]/) {
		    $N  = $N + 1;
		}
		else {
		    $k = 1;
		}
	    }
	    #print "Number of wraps = $N\n";
	    close(INFILE);
	    ##################################################

	    open(INFILE,"$file");
	    open(OUTFILE,">$ARGV[0]/$file.col2");

	    while ($l1 = <INFILE>){
		while ($z < $N){
		    if ($z < $N-1){
			chomp($l1);
		    }
		    printf(OUTFILE "%s",$l1);
		    $z  = $z + 1;
		    if ($z < $N){
			$l1 = <INFILE>;
		    }

		}
		#printf(OUTFILE "\n");
		$z = 0;
	    }

	    close(INFILE);
	    close(OUTFILE);
	}
    }
    $k = 0;
    $N = 0;
}


print "FMI_1_min_unwrap.pl: Done unwrapping files.\n";
