#  Usage: ima2matrix.pl
#
#  Transforms all data from *.ima files in current directory into
#  a single file.
#  
#  R.S. Weigel 04/07/2004.

$DATA_OUT = "$ARGV[0]/data_cat.matrix";
open(DATA_out,">$DATA_OUT");

$dirname = './';

opendir(DIR, $dirname) or die "can't opendir $dirname: $!";

while (defined($file = readdir(DIR))) {
    if ($file =~ /ae[0-9][0-9]hv/) {

	open(DATA_in,"$file");
	print "ISGI_extract_ae.pl is operating on file: $file ... ";

	while ( $line1 = <DATA_in> ){
	    $line1 =~ s/\cM//g; 
	    $line1 =~ s/\cJ//g; 
            # Some files use unix newline (\n), others use windows
            # style newline (\r\n). 


	    $YR   = substr($line1,3,2);
	    $MO   = substr($line1,5,2);
	    $EL   = substr($line1,7,1);

	    $EL   =~ s/E/0/;
	    $EL   =~ s/L/1/;
	    $EL   =~ s/O/2/;
	    $EL   =~ s/U/3/;

	    # Files starting in 1990 changed format
	    # (Compare first 4 lines of ae90hv file with ae88hv file.)
	    if ($EL =~ m/\*/) {
		$EL = substr($line1,0,2);
		$EL =~ s/AE/0/;
		$EL =~ s/AL/1/;
		$EL =~ s/AO/2/;
		$EL =~ s/AU/3/;
	    }

	    $DOM  = substr($line1,8,2);

	    # Space is missing in 1990 file.
	    if ($YR == 90) {
		$DATA = substr($line1,19,96);
		$TB   = substr($line1,15,4);
#		print "\n$DATA\n";
		
	    } else {
		$DATA = substr($line1,20,96);
		$TB   = substr($line1,16,4);
	    }

            # If TB field is blank, replace with zero
	    if ($TB !~ m/[0-9]/) { $TB = 0; } 

            # remove spaces between - sign and numbers
	    $TB =~ s/\- (.*)/ \-$1/;

	    $DATA =~ s/    /9999/g; # If blank field, replace with fills
	    $DATA =~ s/\*/9/g;      # If stars, replace with fills

	    $DATA =~ s/(....)/$1 /g;

	    print DATA_out "$YR $MO $EL $DOM $TB $DATA\n";
#            print(DATA_out "$line_cat\n");
	}

	close(INFILE);
	print "Done.\n";
    }
}
print "Output file is $DATA_OUT\n";
close(DATA_out);
