#!/bin/perl
#  Usage: NGDC_extract_PC.pl TEMPDIR DATA_DIR
#  
#  R.S. Weigel 04/07/2004.

use File::Find;
use Cwd;

$DATA_OUT = $ARGV[0] . "/" . "NGDC_extract_PC.txt";
open(DATA_out,">$DATA_OUT");
find(\&wanted, $ARGV[1]);
close(DATA_out);
print "NGDC_extract_PC.pl wrote $DATA_OUT\n";

$DATA_OUT = $ARGV[0] . "/" . "NGDC_extract_PC_mn.txt";
$DATA_OUT2 = $ARGV[0] . "/" . "NGDC_extract_PC_mn2.txt";
open(DATA_out,">$DATA_OUT");
open(DATA_out2,">$DATA_OUT2");
find(\&wanted_mn, $ARGV[1]);
close(DATA_out);
close(DATA_out2);
print "NGDC_extract_PC.pl wrote $DATA_OUT\n";
print "NGDC_extract_PC.pl wrote $DATA_OUT2\n";


sub wanted_mn {

    if ($_ =~ m/mn/) {

	print "NGDC_extract_PC.pl is operating on file: $_ ... ";

	open(DATA_in,"$_");
	
	while ($line = <DATA_in>) {

	    $NM   = substr($line,0,3);
#	    $YR   = substr($line,3,2);
	    $MO   = substr($line,5,2);
	    $EL   = substr($line,7,1);
	    $DY   = substr($line,8,2);
	    $TYPE = substr($line,10,4);

#	    $YP   = substr($line,14,2); # According to PCREADME, should be this.
            # Get year from filename and create year 2075 problem.  
	    # $YP is often wrong or missing in data files

	    $YR = $_;
	    $YR =~ s/.*([0-9][0-9]).*/$1/;
	    if ( ($YR >= 75) && ($YR <= 99) ) {
		 $YR = 19 . $YR; 
	     } else {
		 $YR = 20 . $YR; 
	     }

	    if ($NM =~ m/THL/) {
		$NM = 0;
	    } 
	    if ($NM =~ m/VOS/) {
		$NM = 1;		
	    }

	    if ($TYPE =~ m/PREL/){
		$TYPE = 0;
	    }
	    if ($TYPE =~ m/FIN/){
		$TYPE = 1;
	    } else {
		$TYPE = -1; # No label
	    }


	    $PC = substr($line,24,8640); 

#	    $PC =~ s/(......)/$1 /g;
	    $PC =~ s/9999\.9/ 9999\.9 /g; # These show up sometimes 
	    $PC =~ s/9999\.0/ 9999\.0 /g; # 

	    $LAST6 = substr($PC,8634,6); # Deal with file format change starting 1998-11-02

	    # Missing last few data points in hour
	    if (($YR =~ m/1992/) && ($MO =~ m/8/) && ($DY =~ m/30/)) {
		$PC = " ";
            }

	    if ($PC =~ /[0-9]/)  { # Ignore blank lines 
		if ($LAST6 =~ /[0-9]/) { # If last 6 have numbers, then 1440 numbers per line.
		    print(DATA_out "$YR $MO $DY $TYPE $NM $PC\n");
		} else { # Otherwise format is 60 numbers per line.
		    $HR = substr($line,10,2);
		    print(DATA_out2 "$YR $MO $DY $HR $TYPE $NM $PC\n");
		}
	    }

	}
	 
	close(DATA_in);

	print "Done.\n";

    }

}

sub wanted {

    if ( ($_ !~ m/mn/) && 
	 ( ($_ =~ m/PCTHULE\.[0-9][0-9]/)  || ($_ =~ m/pcvos[0-9][0-9]/) ) 
	 ) {
	print "NGDC_extract_PC.pl is operating on file: $_ ... ";

	open(DATA_in,"$_");
	
	while ($line = <DATA_in>) {

	    $NM   = substr($line,0,3);
#	    $YR   = substr($line,3,2);
	    $MO   = substr($line,5,2);
	    $EL   = substr($line,7,1);
	    $DY   = substr($line,8,2);
	    $TYPE = substr($line,10,4);

#	    $YP   = substr($line,14,2); # According to PCREADME, should be this.
            # Get year from filename and create year 2075 problem.  
	    # $YP is often wrong or missing in data files

	    $YR = $_;
	    $YR =~ s/.*([0-9][0-9])/$1/;
	    if ( ($YR >= 75) && ($YR <= 99) ) {
		 $YR = 19 . $YR; 
	     } else {
		 $YR = 20 . $YR; 
	     }

	    if ($NM =~ m/THL/) {
		$NM = 0;
	    } 
	    if ($NM =~ m/VOS/) {
		$NM = 1;		
	    }

	    if ($TYPE =~ m/PREL/){
		$TYPE = 0;
	    }
	    if ($TYPE =~ m/FIN/){
		$TYPE = 1;
	    } else {
		$TYPE = -1; # No label
	    }

	    if ( $YR =~ m/2005/ ){
                # 2005 data column start is shifted
		$PC = substr($line,25,577); 
	    } else {
		$PC = substr($line,24,576); 
	}
#	    $PC =~ s/(......)/$1 /g;
	    $PC =~ s/9999\.0/ 9999\.0 /g;
	    
	    if ($PC =~ /[0-9]/)  { # Ignore blank lines 
		print(DATA_out "$YR $MO $DY $TYPE $NM $PC\n");
	    }

	}

	close(DATA_in);

	print "Done.\n";
    }

}
