#  Usage: asc2dat.pl
#
# Extracts 1--minute magnetometer data from all files named ``*.ASC''
# in the current directory. Output files are named *_H and have seven
# columns corresponding to YYYY MM DAY HH MM SS COL1, where COL1 is
# the first data column in the .ASC file.
#  
#  R.S. Weigel 04/07/2004.

use File::Find;

@directory = ('./');

find(\&wanted, @directory);

$chunk_end = 0;

sub wanted {
    if ($_ =~ m/\.ASC/){
	print "asc2dat.pl is operating on file: $_ ... ";
	open(DATA_in,"$_");

	$min          = 0;
	$hr           = -1;

	$line1        = <DATA_in>;
	@LINE         = split(' ',$line1);
	$STATION_NAME = $LINE[0];
	$YEAR         = $LINE[1];
	@DATE         = split('-',$LINE[3]);
	$DAY          = $DATE[0];
	$MONTH        = $DATE[1];

	$MONTH =~ s/JAN/1/;	$MONTH =~ s/FEB/2/;
	$MONTH =~ s/MAR/3/;	$MONTH =~ s/APR/4/;
	$MONTH =~ s/MAY/5/;	$MONTH =~ s/JUN/6/;
	$MONTH =~ s/JUL/7/;	$MONTH =~ s/AUG/8/;
	$MONTH =~ s/SEP/9/;	$MONTH =~ s/OCT/10/;
	$MONTH =~ s/NOV/11/;	$MONTH =~ s/DEC/12/;
	#print "$STATION_NAME $YEAR $MONTH $DAY\n";

	$DATA_OUT = $STATION_NAME . "_H.dat";
	open(DATA_out,">>$DATA_OUT");

	while ( $line1 = <DATA_in> ){
	    $line1 =~ s/\..*/99999/;
	    @LINE  = split(' ',$line1);
	    $COMP1 = @LINE[1];

	    if ( ($min % 60) == 0){
		$hr  = $hr + 1;
		$min = 0;
	    }

	    
	    # print "$YEAR $MONTH $DAY $hr $min 59 $COMP1\n";
            # This introduces a one-second error	    
            print(DATA_out "$YEAR $MONTH $DAY $hr $min 59 $COMP1\n");
	    $min = $min + 1;
	}

	close(DATA_out);
	close(DATA_in);
	print "Done.\n";
   }
}
