# Usage: cat_mpause_crossing_files.pl STEM
#
# Concatenates all files in the current directory with STEM_
# in filename.  Output file STEM_all.dat has columns
# 3-40 that are the same columns 2-39 in aareadme.txt.  columns 1-2
# are the ascii code of the space craft id.  Note that file is not
# sorted with respect to time.
#
#  R.S. Weigel 06/08/2005.

$dirname = './';

opendir(DIR, $dirname) or die "can't opendir $dirname: $!";

open(OUTFILE,">$ARGV[0]_allyrs.dat");

while (defined($file = readdir(DIR))) {

    if ($file =~ /$ARGV[0].*[0-9].txt/) {

	open(INFILE,"$file");

	while ($line = <INFILE>) {

            # Split $line into array at whitespace
	    @Line  = split(/ /,$line); 

            # SC ID in ascii
	    @Sc_id = unpack("C*", $Line[0]); 

            # Remove the first element of @Line array
	    shift(@Line); 

	    # print the result to screen
	    #print "@Sc_id @Line"; 

	    # print the result to file
	    printf(OUTFILE "@Sc_id @Line");

	    }
    }

    close(INFILE);

}

close(OUTFILE);


