#  Usage: spidr2dat.pl
#
#  Extracts magnetometer data from all SPIDR spidr_*.txt files
#  containing 1-minute magnetometer data in the current directory.
#  Output files have seven columns corresponding to YYYY MM DAY HH MM
#  SS DATA.
#  
#  R.S. Weigel 04/07/2004.

use File::Find;

@directory = ('./');

find(\&wanted, @directory);

$chunk_end = 0;

sub wanted {
    if ($_ =~ m/spidr.*\.txt/){
	print "spidr2dat.pl is operating on file: $_ ... \n";
	open(DATA_in,"$_");

	##############################################
	# Start on a file
	while ( $line1 = <DATA_in> ){

	    ###################################
	    # Look for Header
	    if ($line1 =~ m/Station code/){
		$line1 =~ s/^\#.*\: //;
		$line1 =~ s/min//;
		chomp($line1);
		$STATION_CODE = $line1;
		#print "$STATION_CODE";
	    } 
	    if ($line1 =~ m/Element/){
		$line1 =~ s/^\#.*\: //;
		chomp($line1);
		$ELEMENT = $line1;
		#print "$ELEMENT";
	    }
	    ###################################
	    
	    ###################################
	    # Grab chunk of numbers
	    if ($line1 =~ m/\#yyyy\-mm\-dd/){
		#print $STATION_CODE;
		$STATION_CODE =~ s/hr//;
		$DATA_OUT = $STATION_CODE . $ELEMENT . ".dat";
		print " Writing $DATA_OUT ... ";
		open(DATA_out,">>$DATA_OUT");
		while ( $chunk_end == 0 ){
		    $line1 = <DATA_in>;
		    $line1 =~ s/\"//g;
		    $line1 =~ s/([0-9][0-9])\:([0-9][0-9]) (.*[0-9])/$1 $2 00 $3/g;
		    $line1 =~ s/([0-9])\-([0-9])/$1 $2/g;
		    if ($line1 !~ m/[0-9]/){
			$chunk_end = 1;
		    } else {
			#@LINE = [split(" ", $line1)];
			#print DATA_out "$LINE[0][5]\n";
			print DATA_out "$line1";
		    }
		}
		$chunk_end = 0;
		close(DATA_OUT);
		print " Done.\n";
	    }
	    ###################################
	}
	##############################################
	close(DATA_in);
	print "Done.\n";
   }
    
}
