function ts_hdf(Attr_cell,Var_cell,basename,clean,regen_db)
%TS_MAKE Put time series into data base
%
%   See also TS_MAT.

TSDS_GLOBALS;

if (is_octave == 1)
  error(['ts_hdf    :'...
	 ' HDFSD function in Matlab to perform this operation.\n']);
end
    
if (~iscell(Attr_cell))
  Attr_cell = {Attr_cell};
end
if (~iscell(Var_cell))
  Var_cell = {Var_cell};
end

if (nargin < 3)
  basename = '';
else
  basename = ['_',basename];
end

if (nargin == 4)
  if (strmatch(clean,'clean','exact'))
    fprintf('ts_hdf: removing all files matching *%s*hdf\n',basename);
    rm([basename,'*hdf']);
  end
end

if (nargin < 5)
  regen_db = 1;
end

descr  = sprintf('Part of %ss TSDS uniform time series ',TSDS_USERNAME);
descr  = [descr, sprintf('database, created using Version ')];
descr  = [descr, sprintf('%.2f.\nCreated %s.\n',TSDS_VERSION,datestr(now,1))];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fname = sprintf('%s/TSDS_%s%s.hdf',...
		TSDS_DATA_LOCAL_WRITE,...
		TSDS_USERNAME,...
		basename);
sd_id  = hdfsd('start',fname,'DFACC_CREATE');
status = hdfsd('setattr',sd_id,'FileDescription',descr);
for j = 1:length(Attr_cell) % For each variable in file
  ts_hdf_sds(sd_id,Var_cell{j},Attr_cell{j});
end
stat = hdfsd('end',sd_id);
fprintf80(sprintf('ts_hdf       : Wrote %s',fname));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fname = sprintf('%s/TSDS_%s%s-metadataonly.hdf',...
		TSDS_DATA_LOCAL_WRITE,...
		TSDS_USERNAME,...
		basename);
sd_id  = hdfsd('start',fname,'DFACC_CREATE');
status = hdfsd('setattr',sd_id,'FileDescription',descr);
for j = 1:length(Attr_cell) % For each variable in file
  ts_hdf_sds(sd_id,[],Attr_cell{j});
end
stat = hdfsd('end',sd_id);
fprintf80(sprintf('ts_hdf       : Wrote %s',fname));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


