function ts_check(Attr_cell,Var_cell,basename);
  
tmpb = ts_db('base',0);
tmpu = ts_db('user',0);
  
for i = 1:length(Var_cell)

  % Check that Year_o and Year_f are valid
  if isempty(str2num(Attr_cell{i}.Year_o)) | ...
	isempty(str2num(Attr_cell{i}.Year_f))

    Attr_cell{i}

    error(sprintf('ts_check: "%s" has invalid Year_o or Year_f',...
		    Attr_cell{i}.Name));
  
  end

  % Check number of time steps
  N = str2num(Attr_cell{i}.PPD)*...
	number_days(str2num(Attr_cell{i}.Year_o),str2num(Attr_cell{i}.Year_f));
  if (N~=size(Var_cell{i},1))
    error(sprintf(['ts_check: %s has %d timesteps but %d steps are '...
		     'expected from metadata.\n'],...
		    Attr_cell{i}.Name,size(Var_cell{i},1),N));
  
  end

  strs = strvcat(tmpb.SET_NAMES);
  strs = strvcat(strs,Attr_cell{i}.Name);
  I = repeats(strs,'rows');
  if (~isempty(I))
    fprintf('\n');fflush(stdout);
    fprintf80(...
	sprintf(['ts_db        : Warning: Input name already exists in '...
		 ' data base.']));
    fprintf('\n');fflush(stdout);
    strs(I,:)
  end

  
  
  
end


